!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-03-21 23:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_1521) = coupl(nGC_1351)*dZgs_QCD2
      coupl(nGC_1526) = coupl(nGC_1362)*dZgs_QCD2 + coupl(nGC_1363)*dcggh_QCD4
      coupl(nGC_1527) = coupl(nGC_1358)*dZgs_QCD2 + coupl(nGC_1359)*dcggh_QCD4
      coupl(nGC_1524) = coupl(nGC_1354)*dZgs_QCD2 + coupl(nGC_1355)*dcggh_QCD4
      coupl(nGC_3624) = -coupl(nGC_1395)
      coupl(nGC_2406) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_2407) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_1405) = Nc*coupl(nGC_1)**2d0*sq2**2d0*(-2d0*coupl(nGC_290) -   &
                        3d0*coupl(nGC_8))/(768d0*pi**2d0)
      coupl(nGC_1404) = Nc*coupl(nGC_1)*sq2**2d0*(-4d0*cima*coupl(nGC_9) + 4d0*&
                        coupl(nGC_1)*coupl(nGC_290) - 7d0*coupl(nGC_1)*coupl(  &
                        nGC_8))/(384d0*pi**2d0)
      coupl(nGC_1407) = Nc*coupl(nGC_1)**2d0*sq2**2d0*(46d0*coupl(nGC_290) -   &
                        43d0*coupl(nGC_8))/(768d0*pi**2d0)
      coupl(nGC_2087) = 2d0*coupl(nGC_10)*dZg_QCD2 + coupl(nGC_1526)
      coupl(nGC_2078) = 3d0*coupl(nGC_12)*dZg_QCD2/2d0 + coupl(nGC_1524)
      coupl(nGC_2391) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_2393) = coupl(nGC_1534) + coupl(nGC_2391)
      coupl(nGC_2152) = coupl(nGC_2)*dZsR_QCD2
      coupl(nGC_2153) = coupl(nGC_2)*dZsL_QCD2
      coupl(nGC_2092) = -2d0*coupl(nGC_2087)
      coupl(nGC_1412) = coupl(nGC_1)**2d0*sq2**2d0*(-46d0*coupl(nGC_290) + 43d0&
                        *coupl(nGC_8))/(768d0*pi**2d0)
      coupl(nGC_1410) = coupl(nGC_1)**2d0*sq2**2d0*(2d0*coupl(nGC_290) + 3d0*  &
                        coupl(nGC_8))/(768d0*pi**2d0)
      coupl(nGC_1411) = coupl(nGC_1)*sq2**2d0*(4d0*cima*coupl(nGC_9) - 4d0*    &
                        coupl(nGC_1)*coupl(nGC_290) + 7d0*coupl(nGC_1)*coupl(  &
                        nGC_8))/(384d0*pi**2d0)
      coupl(nGC_2109) = coupl(nGC_1528) + coupl(nGC_2)*dZg_QCD2/2d0
      coupl(nGC_2108) = coupl(nGC_2)*dZdL_QCD2
      coupl(nGC_2107) = coupl(nGC_2)*dZdR_QCD2
      coupl(nGC_1399) = cMU*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(     &
                        nGC_290) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_290) - &
                        coupl(nGC_8))/(128d0*pi**2d0*Nc)
      coupl(nGC_1398) = cMS*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(     &
                        nGC_290) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_290) - &
                        coupl(nGC_8))/(128d0*pi**2d0*Nc)
      coupl(nGC_1462) = coupl(nGC_1)**2d0*sq2**2d0*(-46d0*coupl(nGC_344) + 43d0&
                        *coupl(nGC_5))/(768d0*pi**2d0)
      coupl(nGC_1393) = coupl(nGC_2)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_1  &
                        ) - coupl(nGC_2))/(64d0*pi**2d0*Nc)
      coupl(nGC_1392) = coupl(nGC_2)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_1   &
                        ) + coupl(nGC_2))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_1466) = coupl(nGC_1)**2d0*sq2**2d0*(2d0*coupl(nGC_344) + 3d0*  &
                        coupl(nGC_5))/(768d0*pi**2d0)
      coupl(nGC_1396) = cMD*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(     &
                        nGC_290) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_290) - &
                        coupl(nGC_8))/(128d0*pi**2d0*Nc)
      coupl(nGC_1496) = cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_290)*  &
                        sq2**2d0/(384d0*pi**2d0)
      coupl(nGC_1495) = -cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_8)*sq2 &
                        **2d0/(384d0*pi**2d0)
      coupl(nGC_1492) = cima*coupl(nGC_1)**2d0*sq2**2d0*(-coupl(nGC_11)*coupl( &
                        nGC_290) - coupl(nGC_284)*coupl(nGC_8))/(768d0*pi**2d0)
      coupl(nGC_1490) = -cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_290)* &
                        sq2**2d0/(384d0*pi**2d0)
      coupl(nGC_1491) = cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_8)*sq2**&
                        2d0/(384d0*pi**2d0)
      coupl(nGC_1525) = coupl(nGC_1360)*dZgs_QCD2 + coupl(nGC_1361)*dcggh_QCD4
      coupl(nGC_1387) = coupl(nGC_1)*sq2**2d0*(-8d0*cima*coupl(nGC_12) - 11d0* &
                        coupl(nGC_1)*coupl(nGC_11) + 10d0*coupl(nGC_1)*coupl(  &
                        nGC_284))/(768d0*pi**2d0)
      coupl(nGC_1384) = Nc*coupl(nGC_1)*sq2**2d0*(8d0*cima*coupl(nGC_12) + 11d0&
                        *coupl(nGC_1)*coupl(nGC_11) - 10d0*coupl(nGC_1)*coupl( &
                        nGC_284))/(768d0*pi**2d0)
      coupl(nGC_1385) = Nc*coupl(nGC_1)**2d0*sq2**2d0*(-3d0*coupl(nGC_11) - 2d0&
                        *coupl(nGC_284))/(768d0*pi**2d0)
      coupl(nGC_1382) = Nc*coupl(nGC_1)*sq2**2d0*(24d0*cima*coupl(nGC_12) -    &
                        21d0*coupl(nGC_1)*coupl(nGC_11) + 14d0*coupl(nGC_1)*   &
                        coupl(nGC_284))/(768d0*pi**2d0)
      coupl(nGC_1383) = Nc*coupl(nGC_1)*sq2**2d0*(8d0*cima*coupl(nGC_12) - 9d0*&
                        coupl(nGC_1)*coupl(nGC_11) + 14d0*coupl(nGC_1)*coupl(  &
                        nGC_284))/(384d0*pi**2d0)
      coupl(nGC_1380) = cMB*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11   &
                        ) + 8d0*Nc**2d0*coupl(nGC_284) - coupl(nGC_11) - 8d0*  &
                        coupl(nGC_284))/(128d0*pi**2d0*Nc)
      coupl(nGC_1381) = cMC*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11   &
                        ) + 8d0*Nc**2d0*coupl(nGC_284) - coupl(nGC_11) - 8d0*  &
                        coupl(nGC_284))/(128d0*pi**2d0*Nc)
      coupl(nGC_2055) = coupl(nGC_1525) + 2d0*coupl(nGC_7)*dZg_QCD2
      coupl(nGC_1388) = coupl(nGC_1)*sq2**2d0*(-8d0*cima*coupl(nGC_12) + 9d0*  &
                        coupl(nGC_1)*coupl(nGC_11) - 14d0*coupl(nGC_1)*coupl(  &
                        nGC_284))/(384d0*pi**2d0)
      coupl(nGC_1389) = coupl(nGC_1)*sq2**2d0*(-24d0*cima*coupl(nGC_12) + 21d0*&
                        coupl(nGC_1)*coupl(nGC_11) - 14d0*coupl(nGC_1)*coupl(  &
                        nGC_284))/(768d0*pi**2d0)
      coupl(nGC_2199) = coupl(nGC_1530) + coupl(nGC_2197)
      coupl(nGC_1471) = coupl(nGC_1)*sq2**2d0*(4d0*cima*coupl(nGC_6) - 4d0*    &
                        coupl(nGC_1)*coupl(nGC_344) + 7d0*coupl(nGC_1)*coupl(  &
                        nGC_5))/(384d0*pi**2d0)
      coupl(nGC_1460) = Nc*coupl(nGC_1)*sq2**2d0*(-4d0*cima*coupl(nGC_6) + 4d0*&
                        coupl(nGC_1)*coupl(nGC_344) - 7d0*coupl(nGC_1)*coupl(  &
                        nGC_5))/(384d0*pi**2d0)
      coupl(nGC_1394) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_1)**3d0 - 40d0*coupl(&
                        nGC_2)**3d0)/(768d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
