!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-03-21 23:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl2()
      allocate(vertices(37)%branchR2(0:1))
      call avR2(37, 0, 67, 7, 0, FaVF0, 0, [3, 0], [nGC_1393, nGC_1393])

      call avR2(37, 1, 68, 7, 0, FaVF0, 0, [3, 0], [nGC_1392, nGC_1392])

      allocate(vertices(583)%branchR2(0:1))
      call avR2(583, 0, 647, 7, 0, SVFSFa0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(583, 1, 648, 7, 0, SVFSFa0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(584)%branchR2(0:0))
      call avR2(584, 0, 473, 7, 0, FSFa0, 0, [4, 1], [nGC_1376, nGC_1376,      &
      nGC_1379, nGC_1379])

      allocate(vertices(585)%branchR2(0:1))
      call avR2(585, 0, 577, 7, 0, FSVSFa0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(585, 1, 578, 7, 0, FSVSFa0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 482, 7, 0, SSFFa0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1402, nGC_1402])

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 492, 7, 0, FaSFS0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1396, nGC_1396])

      allocate(vertices(588)%branchR2(0:1))
      call avR2(588, 0, 665, 7, 0, SSFaVF0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(588, 1, 666, 7, 0, SSFaVF0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(589)%branchR2(0:1))
      call avR2(589, 0, 633, 7, 0, VFaSSF0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(589, 1, 634, 7, 0, VFaSSF0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(590)%branchR2(0:0))
      call avR2(590, 0, 488, 7, 0, SSFaF0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1398, nGC_1398])

      allocate(vertices(591)%branchR2(0:1))
      call avR2(591, 0, 629, 7, 0, VFaFSS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(591, 1, 630, 7, 0, VFaFSS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(592)%branchR2(0:0))
      call avR2(592, 0, 493, 7, 0, FaSSF0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1403, nGC_1403])

      allocate(vertices(593)%branchR2(0:1))
      call avR2(593, 0, 571, 7, 0, FVSSFa0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(593, 1, 572, 7, 0, FVSSFa0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(9)%branchR2(0:22))
      call avR2(9, 0, 139, 7, 0, SVVVV3, 0, [6, 3], [nGC_1492, nGC_1495,       &
      nGC_1496])

      call avR2(9, 1, 139, 7, 0, SVVVV0, 0, [6, 1], [nGC_1497, nGC_1497,       &
      nGC_1494])

      call avR2(9, 2, 140, 7, 0, SVVVV2, 0, [6, 3], [nGC_1495, nGC_1501,       &
      nGC_1490])

      call avR2(9, 3, 140, 7, 0, SVVVV0, 0, [6, 1], [nGC_1500, nGC_1498,       &
      nGC_1499])

      call avR2(9, 4, 141, 7, 0, SVVVV1, 0, [6, 3], [nGC_1492, nGC_1491,       &
      nGC_1490])

      call avR2(9, 5, 141, 7, 0, SVVVV0, 0, [6, 1], [nGC_1493, nGC_1488,       &
      nGC_1489])

      call avR2(9, 6, 142, 7, 0, SVVVV3, 0, [6, 3], [nGC_1492, nGC_1495,       &
      nGC_1496])

      call avR2(9, 7, 142, 7, 0, SVVVV0, 0, [6, 1], [nGC_1497, nGC_1497,       &
      nGC_1494])

      call avR2(9, 8, 143, 7, 0, SVVVV2, 0, [6, 3], [nGC_1495, nGC_1501,       &
      nGC_1490])

      call avR2(9, 9, 143, 7, 0, SVVVV0, 0, [6, 1], [nGC_1500, nGC_1498,       &
      nGC_1499])

      call avR2(9, 10, 144, 7, 0, SVVVV1, 0, [6, 3], [nGC_1492, nGC_1491,      &
      nGC_1490])

      call avR2(9, 11, 144, 7, 0, SVVVV0, 0, [6, 1], [nGC_1493, nGC_1488,      &
      nGC_1489])

      call avR2(9, 12, 686, 7, 0, SVVVV0, 0, [6, 1], [nGC_1487, nGC_1486,      &
      nGC_1485])

      call avR2(9, 13, 687, 7, 0, SVVVV0, 0, [6, 1], [nGC_1487, nGC_1486,      &
      nGC_1485])

      call avR2(9, 14, 688, 7, 0, SVVVV0, 0, [6, 1], [nGC_1504, nGC_1503,      &
      nGC_1502])

      call avR2(9, 15, 689, 7, 0, SVVVV0, 0, [6, 1], [nGC_1507, nGC_1506,      &
      nGC_1505])

      call avR2(9, 16, 690, 7, 0, SVVVV0, 0, [6, 1], [nGC_1510, nGC_1509,      &
      nGC_1508])

      call avR2(9, 17, 691, 7, 0, SVVVV0, 0, [6, 1], [nGC_1505, nGC_1512,      &
      nGC_1511])

      call avR2(9, 18, 692, 7, 0, SVVVV0, 0, [6, 1], [nGC_1512, nGC_1505,      &
      nGC_1511])

      call avR2(9, 19, 693, 7, 0, SVVVV0, 0, [6, 1], [nGC_1514, nGC_1513,      &
      nGC_1508])

      call avR2(9, 20, 694, 7, 0, SVVVV0, 0, [6, 1], [nGC_1514, nGC_1513,      &
      nGC_1508])

      call avR2(9, 21, 695, 7, 0, SVVVV0, 0, [6, 1], [nGC_1510, nGC_1509,      &
      nGC_1508])

      call avR2(9, 22, 696, 7, 0, SVVVV0, 0, [6, 1], [nGC_1504, nGC_1503,      &
      nGC_1502])

      allocate(vertices(594)%branchR2(0:1))
      call avR2(594, 0, 605, 7, 0, FaSSFV0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(594, 1, 606, 7, 0, FaSSFV0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(122)%branchR2(0:1))
      call avR2(122, 0, 111, 7, 0, SVVV1, 0, [5, 1], [nGC_1420, nGC_1421,      &
      nGC_1422, nGC_1423, nGC_1424, nGC_1425])

      call avR2(122, 1, 112, 7, 0, SVVV1, 0, [5, 1], [nGC_1414, nGC_1415,      &
      nGC_1416, nGC_1417, nGC_1418, nGC_1419])

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 492, 7, 0, FaSFS0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1403, nGC_1403])

      allocate(vertices(596)%branchR2(0:1))
      call avR2(596, 0, 679, 7, 0, SFaSFV0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(596, 1, 680, 7, 0, SFaSFV0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(597)%branchR2(0:1))
      call avR2(597, 0, 496, 7, 0, FFaVS0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(597, 1, 497, 7, 0, FFaVS0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(598)%branchR2(0:1))
      call avR2(598, 0, 565, 7, 0, FFaVSS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(598, 1, 566, 7, 0, FFaVSS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(599)%branchR2(0:1))
      call avR2(599, 0, 617, 7, 0, VFFaSS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(599, 1, 618, 7, 0, VFFaSS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(600)%branchR2(0:1))
      call avR2(600, 0, 510, 7, 0, FaFSV0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(600, 1, 511, 7, 0, FaFSV0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(601)%branchR2(0:1))
      call avR2(601, 0, 673, 7, 0, SFaFSV0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(601, 1, 674, 7, 0, SFaFSV0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(602)%branchR2(0:1))
      call avR2(602, 0, 534, 7, 0, SFaFV0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(602, 1, 535, 7, 0, SFaFV0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(603)%branchR2(0:1))
      call avR2(603, 0, 621, 7, 0, VSFFaS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(603, 1, 622, 7, 0, VSFFaS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(66)%branchR2(0:1))
      call avR2(66, 0, 71, 7, 0, VFaF0, 0, [3, 0], [nGC_1393, nGC_1393])

      call avR2(66, 1, 72, 7, 0, VFaF0, 0, [3, 0], [nGC_1392, nGC_1392])

      allocate(vertices(604)%branchR2(0:1))
      call avR2(604, 0, 665, 7, 0, SSFaVF0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(604, 1, 666, 7, 0, SSFaVF0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(605)%branchR2(0:0))
      call avR2(605, 0, 476, 7, 0, FaFS0, 0, [4, 1], [nGC_1376, nGC_1376,      &
      nGC_1377, nGC_1377])

      allocate(vertices(606)%branchR2(0:1))
      call avR2(606, 0, 675, 7, 0, SFaVFS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(606, 1, 676, 7, 0, SFaVFS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(607)%branchR2(0:1))
      call avR2(607, 0, 500, 7, 0, FVSFa0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(607, 1, 501, 7, 0, FVSFa0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(608)%branchR2(0:1))
      call avR2(608, 0, 639, 7, 0, SFSFaV0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(608, 1, 640, 7, 0, SFSFaV0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(152)%branchR2(0:0))
      call avR2(152, 0, 471, 7, 0, FaF0, 0, [2, 0], [nGC_1364, nGC_1364,       &
      nGC_1367, nGC_1367])

      allocate(vertices(609)%branchR2(0:1))
      call avR2(609, 0, 633, 7, 0, VFaSSF0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(609, 1, 634, 7, 0, VFaSSF0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(610)%branchR2(0:1))
      call avR2(610, 0, 625, 7, 0, VSFaFS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(610, 1, 626, 7, 0, VSFaFS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(611)%branchR2(0:1))
      call avR2(611, 0, 671, 7, 0, SFaFVS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(611, 1, 672, 7, 0, SFaFVS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(612)%branchR2(0:1))
      call avR2(612, 0, 681, 7, 0, SFaSVF0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(612, 1, 682, 7, 0, SFaSVF0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(55)%branchR2(0:1))
      call avR2(55, 0, 71, 7, 0, VFaF0, 0, [3, 0], [nGC_1393, nGC_1393])

      call avR2(55, 1, 72, 7, 0, VFaF0, 0, [3, 0], [nGC_1392, nGC_1392])

      allocate(vertices(613)%branchR2(0:0))
      call avR2(613, 0, 484, 7, 0, FSFaS0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1396, nGC_1396])

      allocate(vertices(614)%branchR2(0:1))
      call avR2(614, 0, 663, 7, 0, SSFaFV0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(614, 1, 664, 7, 0, SSFaFV0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(615)%branchR2(0:1))
      call avR2(615, 0, 508, 7, 0, FaFVS0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(615, 1, 509, 7, 0, FaFVS0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(616)%branchR2(0:1))
      call avR2(616, 0, 563, 7, 0, VSSFFa0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(616, 1, 564, 7, 0, VSSFFa0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(617)%branchR2(0:1))
      call avR2(617, 0, 597, 7, 0, FaVSFS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(617, 1, 598, 7, 0, FaVSFS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(618)%branchR2(0:1))
      call avR2(618, 0, 661, 7, 0, SSFVFa0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(618, 1, 662, 7, 0, SSFVFa0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(619)%branchR2(0:1))
      call avR2(619, 0, 657, 7, 0, SVFaSF0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(619, 1, 658, 7, 0, SVFaSF0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(620)%branchR2(0:1))
      call avR2(620, 0, 609, 7, 0, FaSVFS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(620, 1, 610, 7, 0, FaSVFS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(621)%branchR2(0:0))
      call avR2(621, 0, 491, 7, 0, FaFSS0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1398, nGC_1398])

      allocate(vertices(622)%branchR2(0:1))
      call avR2(622, 0, 563, 7, 0, VSSFFa0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(622, 1, 564, 7, 0, VSSFFa0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(623)%branchR2(0:1))
      call avR2(623, 0, 514, 7, 0, FaVSF0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(623, 1, 515, 7, 0, FaVSF0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(624)%branchR2(0:1))
      call avR2(624, 0, 530, 7, 0, SFFaV0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(624, 1, 531, 7, 0, SFFaV0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(625)%branchR2(0:1))
      call avR2(625, 0, 661, 7, 0, SSFVFa0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(625, 1, 662, 7, 0, SSFVFa0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(626)%branchR2(0:1))
      call avR2(626, 0, 681, 7, 0, SFaSVF0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(626, 1, 682, 7, 0, SFaSVF0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(107)%branchR2(0:1))
      call avR2(107, 0, 67, 7, 0, FaVF0, 0, [3, 0], [nGC_1393, nGC_1393])

      call avR2(107, 1, 68, 7, 0, FaVF0, 0, [3, 0], [nGC_1392, nGC_1392])

      allocate(vertices(627)%branchR2(0:1))
      call avR2(627, 0, 611, 7, 0, FaSVSF0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(627, 1, 612, 7, 0, FaSVSF0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(628)%branchR2(0:1))
      call avR2(628, 0, 679, 7, 0, SFaSFV0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(628, 1, 680, 7, 0, SFaSFV0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(629)%branchR2(0:1))
      call avR2(629, 0, 530, 7, 0, SFFaV0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(629, 1, 531, 7, 0, SFFaV0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(630)%branchR2(0:1))
      call avR2(630, 0, 579, 7, 0, FSVFaS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(630, 1, 580, 7, 0, FSVFaS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(631)%branchR2(0:1))
      call avR2(631, 0, 512, 7, 0, FaVFS0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(631, 1, 513, 7, 0, FaVFS0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(632)%branchR2(0:1))
      call avR2(632, 0, 587, 7, 0, FSFaSV0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(632, 1, 588, 7, 0, FSFaSV0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(633)%branchR2(0:0))
      call avR2(633, 0, 487, 7, 0, SFFaS0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1402, nGC_1402])

      allocate(vertices(634)%branchR2(0:1))
      call avR2(634, 0, 575, 7, 0, FVFaSS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(634, 1, 576, 7, 0, FVFaSS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(635)%branchR2(0:1))
      call avR2(635, 0, 643, 7, 0, SFFaVS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(635, 1, 644, 7, 0, SFFaVS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(636)%branchR2(0:0))
      call avR2(636, 0, 472, 7, 0, SFFa0, 0, [4, 1], [nGC_1376, nGC_1376,      &
      nGC_1377, nGC_1377])

      allocate(vertices(637)%branchR2(0:1))
      call avR2(637, 0, 569, 7, 0, FFaSVS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(637, 1, 570, 7, 0, FFaSVS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(638)%branchR2(0:1))
      call avR2(638, 0, 637, 7, 0, SFVFaS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(638, 1, 638, 7, 0, SFVFaS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(639)%branchR2(0:1))
      call avR2(639, 0, 631, 7, 0, VFaSFS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(639, 1, 632, 7, 0, VFaSFS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(640)%branchR2(0:1))
      call avR2(640, 0, 563, 7, 0, VSSFFa0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(640, 1, 564, 7, 0, VSSFFa0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(138)%branchR2(0:3))
      call avR2(138, 0, 49, 7, 0, SSVVS1, 0, [6, 3], [nGC_1465, nGC_1461,      &
      nGC_1470, nGC_1467, nGC_1472, nGC_1468, nGC_1463])

      call avR2(138, 1, 49, 7, 0, SSVVS2, 0, [4, 3], [nGC_1471, nGC_1462,      &
      nGC_1466, nGC_1469, nGC_1464])

      call avR2(138, 2, 50, 7, 0, SSVVS3, 0, [6, 3], [nGC_1458, nGC_1455,      &
      nGC_1451, nGC_1446, nGC_1453, nGC_1459, nGC_1448, nGC_1449, nGC_1445,    &
      nGC_1456, nGC_1454])

      call avR2(138, 3, 50, 7, 0, SSVVS2, 0, [4, 3], [nGC_1460, nGC_1447,      &
      nGC_1452, nGC_1457, nGC_1450])

      allocate(vertices(641)%branchR2(0:1))
      call avR2(641, 0, 653, 7, 0, SVSFaF0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(641, 1, 654, 7, 0, SVSFaF0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 477, 7, 0, FaSF0, 0, [4, 1], [nGC_1376, nGC_1376,      &
      nGC_1380, nGC_1380])

      allocate(vertices(643)%branchR2(0:1))
      call avR2(643, 0, 613, 7, 0, VFSSFa0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(643, 1, 614, 7, 0, VFSSFa0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(644)%branchR2(0:1))
      call avR2(644, 0, 615, 7, 0, VFSFaS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(644, 1, 616, 7, 0, VFSFaS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(645)%branchR2(0:1))
      call avR2(645, 0, 617, 7, 0, VFFaSS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(645, 1, 618, 7, 0, VFFaSS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(646)%branchR2(0:1))
      call avR2(646, 0, 567, 7, 0, FFaSSV0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(646, 1, 568, 7, 0, FFaSSV0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(647)%branchR2(0:0))
      call avR2(647, 0, 485, 7, 0, FFaSS0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1403, nGC_1403])

      allocate(vertices(648)%branchR2(0:1))
      call avR2(648, 0, 573, 7, 0, FVSFaS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(648, 1, 574, 7, 0, FVSFaS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(649)%branchR2(0:1))
      call avR2(649, 0, 528, 7, 0, VFaSF0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(649, 1, 529, 7, 0, VFaSF0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(650)%branchR2(0:0))
      call avR2(650, 0, 491, 7, 0, FaFSS0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1402, nGC_1402])

      allocate(vertices(651)%branchR2(0:0))
      call avR2(651, 0, 485, 7, 0, FFaSS0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1398, nGC_1398])

      allocate(vertices(652)%branchR2(0:1))
      call avR2(652, 0, 502, 7, 0, FVFaS0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(652, 1, 503, 7, 0, FVFaS0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(653)%branchR2(0:1))
      call avR2(653, 0, 577, 7, 0, FSVSFa0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(653, 1, 578, 7, 0, FSVSFa0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(654)%branchR2(0:1))
      call avR2(654, 0, 671, 7, 0, SFaFVS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(654, 1, 672, 7, 0, SFaFVS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(655)%branchR2(0:1))
      call avR2(655, 0, 653, 7, 0, SVSFaF0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(655, 1, 654, 7, 0, SVSFaF0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(656)%branchR2(0:1))
      call avR2(656, 0, 530, 7, 0, SFFaV0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(656, 1, 531, 7, 0, SFFaV0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(657)%branchR2(0:1))
      call avR2(657, 0, 494, 7, 0, VSFFa0, 0, [5, 1], [nGC_1400, nGC_1400])

      call avR2(657, 1, 495, 7, 0, VSFFa0, 0, [5, 1], [nGC_1401, nGC_1401])

      allocate(vertices(658)%branchR2(0:1))
      call avR2(658, 0, 597, 7, 0, FaVSFS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(658, 1, 598, 7, 0, FaVSFS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(121)%branchR2(0:22))
      call avR2(121, 0, 157, 7, 0, VVVSV1, 0, [6, 3], [nGC_1495, nGC_1492,     &
      nGC_1496])

      call avR2(121, 1, 157, 7, 0, VVVSV0, 0, [6, 1], [nGC_1497, nGC_1497,     &
      nGC_1494])

      call avR2(121, 2, 158, 7, 0, VVVSV2, 0, [6, 3], [nGC_1495, nGC_1501,     &
      nGC_1490])

      call avR2(121, 3, 158, 7, 0, VVVSV0, 0, [6, 1], [nGC_1500, nGC_1498,     &
      nGC_1499])

      call avR2(121, 4, 159, 7, 0, VVVSV3, 0, [6, 3], [nGC_1492, nGC_1491,     &
      nGC_1490])

      call avR2(121, 5, 159, 7, 0, VVVSV0, 0, [6, 1], [nGC_1493, nGC_1488,     &
      nGC_1489])

      call avR2(121, 6, 160, 7, 0, VVVSV1, 0, [6, 3], [nGC_1495, nGC_1492,     &
      nGC_1496])

      call avR2(121, 7, 160, 7, 0, VVVSV0, 0, [6, 1], [nGC_1497, nGC_1497,     &
      nGC_1494])

      call avR2(121, 8, 161, 7, 0, VVVSV2, 0, [6, 3], [nGC_1495, nGC_1501,     &
      nGC_1490])

      call avR2(121, 9, 161, 7, 0, VVVSV0, 0, [6, 1], [nGC_1500, nGC_1498,     &
      nGC_1499])

      call avR2(121, 10, 162, 7, 0, VVVSV3, 0, [6, 3], [nGC_1492, nGC_1491,    &
      nGC_1490])

      call avR2(121, 11, 162, 7, 0, VVVSV0, 0, [6, 1], [nGC_1493, nGC_1488,    &
      nGC_1489])

      call avR2(121, 12, 708, 7, 0, VVVSV0, 0, [6, 1], [nGC_1504, nGC_1503,    &
      nGC_1502])

      call avR2(121, 13, 709, 7, 0, VVVSV0, 0, [6, 1], [nGC_1505, nGC_1512,    &
      nGC_1511])

      call avR2(121, 14, 710, 7, 0, VVVSV0, 0, [6, 1], [nGC_1514, nGC_1513,    &
      nGC_1508])

      call avR2(121, 15, 711, 7, 0, VVVSV0, 0, [6, 1], [nGC_1510, nGC_1509,    &
      nGC_1508])

      call avR2(121, 16, 712, 7, 0, VVVSV0, 0, [6, 1], [nGC_1512, nGC_1505,    &
      nGC_1511])

      call avR2(121, 17, 713, 7, 0, VVVSV0, 0, [6, 1], [nGC_1487, nGC_1486,    &
      nGC_1485])

      call avR2(121, 18, 714, 7, 0, VVVSV0, 0, [6, 1], [nGC_1487, nGC_1486,    &
      nGC_1485])

      call avR2(121, 19, 715, 7, 0, VVVSV0, 0, [6, 1], [nGC_1507, nGC_1506,    &
      nGC_1505])

      call avR2(121, 20, 716, 7, 0, VVVSV0, 0, [6, 1], [nGC_1504, nGC_1503,    &
      nGC_1502])

      call avR2(121, 21, 717, 7, 0, VVVSV0, 0, [6, 1], [nGC_1514, nGC_1513,    &
      nGC_1508])

      call avR2(121, 22, 718, 7, 0, VVVSV0, 0, [6, 1], [nGC_1510, nGC_1509,    &
      nGC_1508])

      allocate(vertices(659)%branchR2(0:1))
      call avR2(659, 0, 671, 7, 0, SFaFVS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(659, 1, 672, 7, 0, SFaFVS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(660)%branchR2(0:0))
      call avR2(660, 0, 489, 7, 0, SFaFS0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1399, nGC_1399])

      allocate(vertices(661)%branchR2(0:1))
      call avR2(661, 0, 631, 7, 0, VFaSFS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(661, 1, 632, 7, 0, VFaSFS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(662)%branchR2(0:1))
      call avR2(662, 0, 579, 7, 0, FSVFaS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(662, 1, 580, 7, 0, FSVFaS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(663)%branchR2(0:1))
      call avR2(663, 0, 677, 7, 0, SFaVSF0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(663, 1, 678, 7, 0, SFaVSF0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(664)%branchR2(0:0))
      call avR2(664, 0, 485, 7, 0, FFaSS0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1399, nGC_1399])

      allocate(vertices(665)%branchR2(0:1))
      call avR2(665, 0, 609, 7, 0, FaSVFS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(665, 1, 610, 7, 0, FaSVFS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(666)%branchR2(0:1))
      call avR2(666, 0, 575, 7, 0, FVFaSS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(666, 1, 576, 7, 0, FVFaSS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(667)%branchR2(0:1))
      call avR2(667, 0, 675, 7, 0, SFaVFS0, 0, [5, 2], [nGC_1443, nGC_1443])

      call avR2(667, 1, 676, 7, 0, SFaVFS0, 0, [5, 2], [nGC_1444, nGC_1444])

      allocate(vertices(668)%branchR2(0:0))
      call avR2(668, 0, 489, 7, 0, SFaFS0, 0, [4, 2], [nGC_1397, nGC_1397,     &
      nGC_1398, nGC_1398])

      allocate(vertices(83)%branchR2(0:1))
      call avR2(83, 0, 40, 7, 0, FFaV0, 0, [3, 0], [nGC_1393, nGC_1393])

      call avR2(83, 1, 41, 7, 0, FFaV0, 0, [3, 0], [nGC_1392, nGC_1392])

    end subroutine fill_vertices_mdl2
end module vertices_info2
