!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-03-21 23:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_1534) = -cima*dMB_QCD2
      coupl(nGC_1531) = -cima*dMD_QCD2
      coupl(nGC_1530) = -cima*dMU_QCD2
      coupl(nGC_1533) = -cima*dMS_QCD2
      coupl(nGC_1532) = -cima*dMC_QCD2
      coupl(nGC_2417) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_2257) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_3090) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3091) = -coupl(nGC_3090)
      coupl(nGC_1520) = coupl(nGC_1349)*dZgs_QCD2
      coupl(nGC_2651) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_2260) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_2390) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_2392) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_2648) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_2649) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_2198) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_2196) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_2197) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_2420) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_1379) = cMS*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11   &
                        ) + 8d0*Nc**2d0*coupl(nGC_284) - coupl(nGC_11) - 8d0*  &
                        coupl(nGC_284))/(128d0*pi**2d0*Nc)
      coupl(nGC_2173) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_1441) = 5d0*cima*coupl(nGC_2)**4d0*sq2**4d0/(192d0*pi**2d0*Nc**&
                        2d0)
      coupl(nGC_1442) = -5d0*cima*coupl(nGC_2)**4d0*sq2**4d0/(64d0*pi**2d0*Nc**&
                        3d0)
      coupl(nGC_1378) = cMD*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11   &
                        ) + 8d0*Nc**2d0*coupl(nGC_284) - coupl(nGC_11) - 8d0*  &
                        coupl(nGC_284))/(128d0*pi**2d0*Nc)
      coupl(nGC_1372) = cima*coupl(nGC_2)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                        cMD**2d0 + cMS**2d0 + cMU**2d0)/(16d0*pi**2d0)
      coupl(nGC_1377) = cMU*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11   &
                        ) + 8d0*Nc**2d0*coupl(nGC_284) - coupl(nGC_11) - 8d0*  &
                        coupl(nGC_284))/(128d0*pi**2d0*Nc)
      coupl(nGC_1376) = coupl(nGC_2)**2d0*sq2**2d0*(-2d0*Nc**2d0*coupl(nGC_11  &
                        ) - 5d0*Nc**2d0*coupl(nGC_284) + 2d0*coupl(nGC_11) +   &
                        5d0*coupl(nGC_284))/(384d0*pi**2d0*Nc)
      coupl(nGC_1375) = cima*coupl(nGC_2)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                         - cMD**2d0 - cMS**2d0 - cMU**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2273) = coupl(nGC_2)*dZbR_QCD2
      coupl(nGC_2270) = coupl(nGC_2)*dZbL_QCD2
      coupl(nGC_1517) = coupl(nGC_1348)*dcggh_QCD4
      coupl(nGC_2652) = coupl(nGC_1531) + coupl(nGC_2649)
      coupl(nGC_1368) = cMB*cima*coupl(nGC_2)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1369) = cMD*cima*coupl(nGC_2)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1364) = cima*coupl(nGC_2)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                        pi**2d0*Nc)
      coupl(nGC_1365) = cMU*cima*coupl(nGC_2)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1366) = cMC*cima*coupl(nGC_2)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1367) = cMS*cima*coupl(nGC_2)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1528) = coupl(nGC_26)*dZgs_QCD2
      coupl(nGC_1400) = coupl(nGC_2)**2d0*sq2**3d0*(-12d0*Nc**2d0*cima*coupl(  &
                        nGC_12) + 9d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_11) + 36d0&
                        *Nc**2d0*coupl(nGC_1)*coupl(nGC_284) - 5d0*cima*coupl( &
                        nGC_11)*coupl(nGC_2) - 14d0*cima*coupl(nGC_2)*coupl(   &
                        nGC_284))/(768d0*pi**2d0*Nc)
      coupl(nGC_2172) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_1395) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_1)**3d0 + 40d0*coupl( &
                        nGC_2)**3d0)/(768d0*pi**2d0)
      coupl(nGC_1519) = coupl(nGC_22)*dcggh_QCD4
      coupl(nGC_2493) = coupl(nGC_11)*dZg_QCD2 + coupl(nGC_1519)
      coupl(nGC_2258) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_2418) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_1522) = coupl(nGC_1352)*dZgs_QCD2 + coupl(nGC_1353)*dcggh_QCD4
      coupl(nGC_1523) = coupl(nGC_1356)*dZgs_QCD2 + coupl(nGC_1357)*dcggh_QCD4
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
