!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-03-21 23:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_1397) = coupl(nGC_2)**2d0*sq2**2d0*(5d0*Nc**2d0*coupl(nGC_290  &
                        ) + 2d0*Nc**2d0*coupl(nGC_8) - 5d0*coupl(nGC_290) - 2d0&
                        *coupl(nGC_8))/(192d0*pi**2d0*Nc)
      coupl(nGC_1464) = (16d0*cima*coupl(nGC_120)*coupl(nGC_344) + 80d0*cima*  &
                        coupl(nGC_122)*coupl(nGC_344) + 8d0*cima*coupl(nGC_122 &
                        )*coupl(nGC_5) + 146d0*coupl(nGC_1)**2d0*coupl(nGC_344 &
                        )*sq2**2d0 - 11d0*coupl(nGC_1)**2d0*coupl(nGC_5)*sq2** &
                        2d0)/(768d0*pi**2d0)
      coupl(nGC_1444) = coupl(nGC_2)**2d0*sq2**3d0*(12d0*Nc**2d0*cima*coupl(   &
                        nGC_9) - 36d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_290) - 9d0&
                        *Nc**2d0*coupl(nGC_1)*coupl(nGC_8) + 14d0*cima*coupl(  &
                        nGC_2)*coupl(nGC_290) + 5d0*cima*coupl(nGC_2)*coupl(   &
                        nGC_8))/(768d0*pi**2d0*Nc**2d0)
      coupl(nGC_1447) = Nc*coupl(nGC_1)**2d0*sq2**2d0*(46d0*coupl(nGC_344) -   &
                        43d0*coupl(nGC_5))/(768d0*pi**2d0)
      coupl(nGC_1446) = Nc*(-915d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl( &
                        nGC_290)*sq2**2d0 - 552d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_8)*sq2**2d0 + 3690d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 - 1485d0*&
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 - 510d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)* &
                        sq2**2d0 + 1280d0*coupl(nGC_1)*coupl(nGC_12)*coupl(    &
                        nGC_290)*sq2**2d0 - 900d0*coupl(nGC_1)*coupl(nGC_12)*  &
                        coupl(nGC_8)*sq2**2d0 + 1180d0*coupl(nGC_1)*coupl(     &
                        nGC_284)*coupl(nGC_9)*sq2**2d0 + 20d0*coupl(nGC_11)*   &
                        coupl(nGC_120)*coupl(nGC_290) + 60d0*coupl(nGC_11)*    &
                        coupl(nGC_120)*coupl(nGC_8) + 20d0*coupl(nGC_11)*coupl(&
                        nGC_122)*coupl(nGC_290) + 60d0*coupl(nGC_11)*coupl(    &
                        nGC_122)*coupl(nGC_8) - 20d0*coupl(nGC_11)*coupl(      &
                        nGC_128)*coupl(nGC_290) - 60d0*coupl(nGC_11)*coupl(    &
                        nGC_128)*coupl(nGC_8) - 20d0*coupl(nGC_11)*coupl(      &
                        nGC_290)*coupl(nGC_3) - 60d0*coupl(nGC_11)*coupl(nGC_3 &
                        )*coupl(nGC_8) - 20d0*coupl(nGC_120)*coupl(nGC_284)*   &
                        coupl(nGC_8) - 20d0*coupl(nGC_122)*coupl(nGC_284)*coupl&
                        (nGC_8) + 20d0*coupl(nGC_128)*coupl(nGC_284)*coupl(    &
                        nGC_8) + 20d0*coupl(nGC_284)*coupl(nGC_3)*coupl(nGC_8  &
                        ))/(3840d0*pi**2d0)
      coupl(nGC_1440) = (-4d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 - 12d0*Nc*cima&
                        *coupl(nGC_120)*coupl(nGC_3) - 12d0*Nc*coupl(nGC_1)**  &
                        2d0*coupl(nGC_120)*sq2**2d0 + 9d0*Nc*coupl(nGC_1)**2d0*&
                        coupl(nGC_3)*sq2**2d0 + 15d0*cima*coupl(nGC_2)**4d0*sq2&
                        **4d0)/(384d0*pi**2d0)
      coupl(nGC_1443) = coupl(nGC_2)**2d0*sq2**3d0*(-12d0*Nc**2d0*cima*coupl(  &
                        nGC_9) + 36d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_290) + 9d0&
                        *Nc**2d0*coupl(nGC_1)*coupl(nGC_8) - 14d0*cima*coupl(  &
                        nGC_2)*coupl(nGC_290) - 5d0*cima*coupl(nGC_2)*coupl(   &
                        nGC_8))/(768d0*pi**2d0*Nc)
      coupl(nGC_2511) = coupl(nGC_1517) + coupl(nGC_5)*dZg_QCD2
      coupl(nGC_2444) = coupl(nGC_1521) + 2d0*coupl(nGC_3)*dZg_QCD2
      coupl(nGC_2445) = -coupl(nGC_2444)
      coupl(nGC_2446) = 2d0*coupl(nGC_2444)
      coupl(nGC_1373) = cima*sq2**2d0*(-3d0*Nc*coupl(nGC_1)**2d0 + 10d0*coupl( &
                        nGC_2)**2d0)/(192d0*pi**2d0*Nc)
      coupl(nGC_1371) = -Nc*cima*coupl(nGC_1)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1370) = cima*sq2**2d0*(3d0*Nc*coupl(nGC_1)**2d0 - 10d0*coupl(  &
                        nGC_2)**2d0)/(192d0*pi**2d0)
      coupl(nGC_1374) = cima*coupl(nGC_1)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_2274) = coupl(nGC_2109) + coupl(nGC_2273)
      coupl(nGC_2110) = coupl(nGC_2107) + coupl(nGC_2109)
      coupl(nGC_2111) = coupl(nGC_2108) + coupl(nGC_2109)
      coupl(nGC_1391) = (-12d0*cima*coupl(nGC_1)*coupl(nGC_12)*sq2**2d0 + 4d0* &
                        cima*coupl(nGC_11)*coupl(nGC_122) + 8d0*cima*coupl(    &
                        nGC_120)*coupl(nGC_284) + 40d0*cima*coupl(nGC_122)*    &
                        coupl(nGC_284) + 5d0*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                        sq2**2d0 + 66d0*coupl(nGC_1)**2d0*coupl(nGC_284)*sq2** &
                        2d0)/(768d0*pi**2d0)
      coupl(nGC_2118) = 2d0*coupl(nGC_13)*dZg_QCD2 + coupl(nGC_1527)
      coupl(nGC_2119) = 2d0*coupl(nGC_2118)
      coupl(nGC_1452) = Nc*coupl(nGC_1)**2d0*sq2**2d0*(-2d0*coupl(nGC_344) -   &
                        3d0*coupl(nGC_5))/(768d0*pi**2d0)
      coupl(nGC_1453) = Nc*(-20d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(  &
                        nGC_290)*sq2**2d0 - 4d0*cima*coupl(nGC_1)**2d0*coupl(  &
                        nGC_11)*coupl(nGC_8)*sq2**2d0 + 20d0*cima*coupl(nGC_1  &
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 - 20d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 - 20d0*cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0  &
                         - 25d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**  &
                        2d0 + 20d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_290)*  &
                        sq2**2d0 - 25d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8 &
                        )*sq2**2d0 + 20d0*coupl(nGC_1)*coupl(nGC_284)*coupl(   &
                        nGC_9)*sq2**2d0 - 5d0*coupl(nGC_11)*coupl(nGC_120)*    &
                        coupl(nGC_290) + 15d0*coupl(nGC_11)*coupl(nGC_120)*    &
                        coupl(nGC_8) - 5d0*coupl(nGC_11)*coupl(nGC_122)*coupl( &
                        nGC_290) + 15d0*coupl(nGC_11)*coupl(nGC_122)*coupl(    &
                        nGC_8) + 5d0*coupl(nGC_11)*coupl(nGC_128)*coupl(nGC_290&
                        ) - 15d0*coupl(nGC_11)*coupl(nGC_128)*coupl(nGC_8) +   &
                        5d0*coupl(nGC_11)*coupl(nGC_290)*coupl(nGC_3) - 15d0*  &
                        coupl(nGC_11)*coupl(nGC_3)*coupl(nGC_8) - 5d0*coupl(   &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_8) - 5d0*coupl(      &
                        nGC_122)*coupl(nGC_284)*coupl(nGC_8) + 5d0*coupl(      &
                        nGC_128)*coupl(nGC_284)*coupl(nGC_8) + 5d0*coupl(      &
                        nGC_284)*coupl(nGC_3)*coupl(nGC_8))/(960d0*pi**2d0)
      coupl(nGC_1450) = Nc*(88d0*cima*coupl(nGC_120)*coupl(nGC_344) + 8d0*cima*&
                        coupl(nGC_120)*coupl(nGC_5) + 8d0*cima*coupl(nGC_122)* &
                        coupl(nGC_344) - 8d0*cima*coupl(nGC_128)*coupl(nGC_344 &
                        ) - 88d0*cima*coupl(nGC_3)*coupl(nGC_344) - 8d0*cima*  &
                        coupl(nGC_3)*coupl(nGC_5) - 146d0*coupl(nGC_1)**2d0*   &
                        coupl(nGC_344)*sq2**2d0 + 11d0*coupl(nGC_1)**2d0*coupl(&
                        nGC_5)*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_1451) = Nc*(5d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(    &
                        nGC_290)*sq2**2d0 + 48d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_8)*sq2**2d0 - 90d0*cima*coupl(nGC_1  &
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 - 35d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 - 30d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*  &
                        sq2**2d0 - 40d0*coupl(nGC_1)*coupl(nGC_12)*coupl(      &
                        nGC_290)*sq2**2d0 - 60d0*coupl(nGC_1)*coupl(nGC_12)*   &
                        coupl(nGC_8)*sq2**2d0 - 20d0*coupl(nGC_1)*coupl(nGC_284&
                        )*coupl(nGC_9)*sq2**2d0 + 20d0*coupl(nGC_11)*coupl(    &
                        nGC_120)*coupl(nGC_290) + 60d0*coupl(nGC_11)*coupl(    &
                        nGC_120)*coupl(nGC_8) + 20d0*coupl(nGC_11)*coupl(      &
                        nGC_122)*coupl(nGC_290) + 60d0*coupl(nGC_11)*coupl(    &
                        nGC_122)*coupl(nGC_8) - 20d0*coupl(nGC_11)*coupl(      &
                        nGC_128)*coupl(nGC_290) - 60d0*coupl(nGC_11)*coupl(    &
                        nGC_128)*coupl(nGC_8) - 20d0*coupl(nGC_11)*coupl(      &
                        nGC_290)*coupl(nGC_3) - 60d0*coupl(nGC_11)*coupl(nGC_3 &
                        )*coupl(nGC_8) - 20d0*coupl(nGC_120)*coupl(nGC_284)*   &
                        coupl(nGC_8) - 20d0*coupl(nGC_122)*coupl(nGC_284)*coupl&
                        (nGC_8) + 20d0*coupl(nGC_128)*coupl(nGC_284)*coupl(    &
                        nGC_8) + 20d0*coupl(nGC_284)*coupl(nGC_3)*coupl(nGC_8  &
                        ))/(3840d0*pi**2d0)
      coupl(nGC_1457) = Nc*(12d0*cima*coupl(nGC_1)*coupl(nGC_6)*sq2**2d0 + 44d0&
                        *cima*coupl(nGC_120)*coupl(nGC_344) + 4d0*cima*coupl(  &
                        nGC_120)*coupl(nGC_5) + 4d0*cima*coupl(nGC_122)*coupl( &
                        nGC_344) - 4d0*cima*coupl(nGC_128)*coupl(nGC_344) -    &
                        44d0*cima*coupl(nGC_3)*coupl(nGC_344) - 4d0*cima*coupl(&
                        nGC_3)*coupl(nGC_5) - 66d0*coupl(nGC_1)**2d0*coupl(    &
                        nGC_344)*sq2**2d0 - 5d0*coupl(nGC_1)**2d0*coupl(nGC_5)*&
                        sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_1455) = Nc*(-20d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(  &
                        nGC_290)*sq2**2d0 - 4d0*cima*coupl(nGC_1)**2d0*coupl(  &
                        nGC_11)*coupl(nGC_8)*sq2**2d0 + 20d0*cima*coupl(nGC_1  &
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 - 20d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 - 20d0*cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0  &
                         - 25d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**  &
                        2d0 + 20d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_290)*  &
                        sq2**2d0 - 25d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8 &
                        )*sq2**2d0 + 20d0*coupl(nGC_1)*coupl(nGC_284)*coupl(   &
                        nGC_9)*sq2**2d0 - 15d0*coupl(nGC_11)*coupl(nGC_120)*   &
                        coupl(nGC_290) + 15d0*coupl(nGC_11)*coupl(nGC_120)*    &
                        coupl(nGC_8) + 5d0*coupl(nGC_11)*coupl(nGC_122)*coupl( &
                        nGC_290) + 15d0*coupl(nGC_11)*coupl(nGC_122)*coupl(    &
                        nGC_8) + 15d0*coupl(nGC_11)*coupl(nGC_128)*coupl(      &
                        nGC_290) - 15d0*coupl(nGC_11)*coupl(nGC_128)*coupl(    &
                        nGC_8) - 5d0*coupl(nGC_11)*coupl(nGC_290)*coupl(nGC_3  &
                        ) - 15d0*coupl(nGC_11)*coupl(nGC_3)*coupl(nGC_8) - 15d0&
                        *coupl(nGC_120)*coupl(nGC_284)*coupl(nGC_8) + 5d0*coupl&
                        (nGC_122)*coupl(nGC_284)*coupl(nGC_8) + 15d0*coupl(    &
                        nGC_128)*coupl(nGC_284)*coupl(nGC_8) - 5d0*coupl(      &
                        nGC_284)*coupl(nGC_3)*coupl(nGC_8))/(960d0*pi**2d0)
      coupl(nGC_2073) = coupl(nGC_1523) + 3d0*coupl(nGC_9)*dZg_QCD2/2d0
      coupl(nGC_1459) = Nc*(40d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(   &
                        nGC_290)*sq2**2d0 + 54d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_8)*sq2**2d0 + 510d0*cima*coupl(nGC_1 &
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 - 265d0* &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 - 120d0*cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0 &
                         + 200d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_290)*sq2 &
                        **2d0 - 210d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)* &
                        sq2**2d0 + 160d0*coupl(nGC_1)*coupl(nGC_284)*coupl(    &
                        nGC_9)*sq2**2d0 + 20d0*coupl(nGC_11)*coupl(nGC_120)*   &
                        coupl(nGC_290) + 60d0*coupl(nGC_11)*coupl(nGC_120)*    &
                        coupl(nGC_8) + 20d0*coupl(nGC_11)*coupl(nGC_122)*coupl(&
                        nGC_290) + 60d0*coupl(nGC_11)*coupl(nGC_122)*coupl(    &
                        nGC_8) - 20d0*coupl(nGC_11)*coupl(nGC_128)*coupl(      &
                        nGC_290) - 60d0*coupl(nGC_11)*coupl(nGC_128)*coupl(    &
                        nGC_8) - 20d0*coupl(nGC_11)*coupl(nGC_290)*coupl(nGC_3 &
                        ) - 60d0*coupl(nGC_11)*coupl(nGC_3)*coupl(nGC_8) - 20d0&
                        *coupl(nGC_120)*coupl(nGC_284)*coupl(nGC_8) - 20d0*    &
                        coupl(nGC_122)*coupl(nGC_284)*coupl(nGC_8) + 20d0*coupl&
                        (nGC_128)*coupl(nGC_284)*coupl(nGC_8) + 20d0*coupl(    &
                        nGC_284)*coupl(nGC_3)*coupl(nGC_8))/(3840d0*pi**2d0)
      coupl(nGC_2275) = coupl(nGC_2109) + coupl(nGC_2270)
      coupl(nGC_1518) = coupl(nGC_1350)*dcggh_QCD4
      coupl(nGC_1390) = coupl(nGC_1)**2d0*sq2**2d0*(3d0*coupl(nGC_11) + 2d0*   &
                        coupl(nGC_284))/(768d0*pi**2d0)
      coupl(nGC_3626) = -coupl(nGC_1394)
      coupl(nGC_2685) = coupl(nGC_1)*dZg_QCD2/2d0 + coupl(nGC_1520)
      coupl(nGC_1461) = (915d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                        nGC_290)*sq2**2d0 + 552d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_8)*sq2**2d0 - 3690d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 + 1485d0*&
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 + 510d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)* &
                        sq2**2d0 - 1280d0*coupl(nGC_1)*coupl(nGC_12)*coupl(    &
                        nGC_290)*sq2**2d0 + 900d0*coupl(nGC_1)*coupl(nGC_12)*  &
                        coupl(nGC_8)*sq2**2d0 - 1180d0*coupl(nGC_1)*coupl(     &
                        nGC_284)*coupl(nGC_9)*sq2**2d0 + 40d0*coupl(nGC_11)*   &
                        coupl(nGC_120)*coupl(nGC_290) + 120d0*coupl(nGC_11)*   &
                        coupl(nGC_120)*coupl(nGC_8) - 40d0*coupl(nGC_120)*coupl&
                        (nGC_284)*coupl(nGC_8))/(3840d0*pi**2d0)
      coupl(nGC_1514) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 + &
                        52d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_120&
                        )*sq2**2d0 - 52d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*&
                        coupl(nGC_122)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*  &
                        coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 164d0*cima*    &
                        coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0  &
                         + 492d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl(  &
                        nGC_284)*sq2**2d0 - 492d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_122)*coupl(nGC_284)*sq2**2d0 - 60d0*cima*coupl(    &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        804d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 + 96d0*cima*coupl(nGC_120)*coupl(nGC_184) - &
                        96d0*cima*coupl(nGC_122)*coupl(nGC_13) + 96d0*cima*    &
                        coupl(nGC_122)*coupl(nGC_182) - 96d0*cima*coupl(nGC_184&
                        )*coupl(nGC_3) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*&
                        sq2**4d0 - 862d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**&
                        4d0 - 192d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + &
                        96d0*coupl(nGC_1)**2d0*coupl(nGC_182)*sq2**2d0 - 96d0* &
                        coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 + 240d0*coupl&
                        (nGC_1)*coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 - 240d0* &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 -   &
                        48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**2d0&
                         - 336d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2** &
                        2d0 - 48d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_122  &
                        ) + 48d0*coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_3) -   &
                        192d0*coupl(nGC_120)**2d0*coupl(nGC_284) - 528d0*coupl(&
                        nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(   &
                        nGC_120)*coupl(nGC_128)*coupl(nGC_284) + 192d0*coupl(  &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(     &
                        nGC_122)**2d0*coupl(nGC_284) + 48d0*coupl(nGC_122)*    &
                        coupl(nGC_128)*coupl(nGC_284) + 432d0*coupl(nGC_122)*  &
                        coupl(nGC_284)*coupl(nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_1483) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9&
                        )*sq2**2d0 - 44d0*cima*coupl(nGC_120)*coupl(nGC_290) - &
                        20d0*cima*coupl(nGC_120)*coupl(nGC_8) - 32d0*cima*coupl&
                        (nGC_122)*coupl(nGC_290) - 4d0*cima*coupl(nGC_122)*    &
                        coupl(nGC_8) + 4d0*cima*coupl(nGC_128)*coupl(nGC_290   &
                        ) - 8d0*cima*coupl(nGC_128)*coupl(nGC_8) - 80d0*cima*  &
                        coupl(nGC_290)*coupl(nGC_3) - 16d0*cima*coupl(nGC_3)*  &
                        coupl(nGC_8) - 105d0*coupl(nGC_1)**2d0*coupl(nGC_290)* &
                        sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0&
                        )/(1536d0*pi**2d0)
      coupl(nGC_2676) = 3d0*coupl(nGC_1)*dZg_QCD2/2d0 + coupl(nGC_1520)
      coupl(nGC_1419) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(     &
                        nGC_12)*sq2**2d0 + 16d0*cima*coupl(nGC_11)*coupl(      &
                        nGC_120) + 8d0*cima*coupl(nGC_11)*coupl(nGC_122) + 4d0*&
                        cima*coupl(nGC_11)*coupl(nGC_128) + 20d0*cima*coupl(   &
                        nGC_11)*coupl(nGC_3) + 80d0*cima*coupl(nGC_120)*coupl( &
                        nGC_284) - 4d0*cima*coupl(nGC_122)*coupl(nGC_284) +    &
                        32d0*cima*coupl(nGC_128)*coupl(nGC_284) + 44d0*cima*   &
                        coupl(nGC_284)*coupl(nGC_3) - 24d0*coupl(nGC_1)**2d0*  &
                        coupl(nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1)**2d0*coupl(&
                        nGC_284)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1508) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 + &
                        84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_120&
                        )*sq2**2d0 - 84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*&
                        coupl(nGC_122)*sq2**2d0 - 24d0*cima*coupl(nGC_1)**2d0* &
                        coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 132d0*cima*    &
                        coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0  &
                         + 540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl(  &
                        nGC_284)*sq2**2d0 - 540d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_122)*coupl(nGC_284)*sq2**2d0 - 108d0*cima*coupl(   &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        756d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 + 96d0*cima*coupl(nGC_120)*coupl(nGC_184) - &
                        96d0*cima*coupl(nGC_122)*coupl(nGC_13) + 96d0*cima*    &
                        coupl(nGC_122)*coupl(nGC_182) - 96d0*cima*coupl(nGC_184&
                        )*coupl(nGC_3) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*&
                        sq2**4d0 - 862d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**&
                        4d0 - 144d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + &
                        144d0*coupl(nGC_1)**2d0*coupl(nGC_182)*sq2**2d0 - 144d0&
                        *coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 - 48d0*coupl&
                        (nGC_1)**2d0*coupl(nGC_194)*sq2**2d0 + 216d0*coupl(    &
                        nGC_1)*coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 - 216d0*  &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 -   &
                        24d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**2d0&
                         - 360d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2** &
                        2d0 - 48d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_122  &
                        ) + 48d0*coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_3) -   &
                        192d0*coupl(nGC_120)**2d0*coupl(nGC_284) - 528d0*coupl(&
                        nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(   &
                        nGC_120)*coupl(nGC_128)*coupl(nGC_284) + 192d0*coupl(  &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(     &
                        nGC_122)**2d0*coupl(nGC_284) + 48d0*coupl(nGC_122)*    &
                        coupl(nGC_128)*coupl(nGC_284) + 432d0*coupl(nGC_122)*  &
                        coupl(nGC_284)*coupl(nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_1426) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_1)**4d0*sq2**2d0 - 3d0&
                        *Nc*coupl(nGC_1)**2d0*coupl(nGC_122) + 3d0*Nc*coupl(   &
                        nGC_1)**2d0*coupl(nGC_128) - 25d0*cima*coupl(nGC_2)**  &
                        4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_1425) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(    &
                        nGC_12)*sq2**2d0 - 16d0*cima*coupl(nGC_11)*coupl(      &
                        nGC_120) - 8d0*cima*coupl(nGC_11)*coupl(nGC_122) - 4d0*&
                        cima*coupl(nGC_11)*coupl(nGC_128) - 20d0*cima*coupl(   &
                        nGC_11)*coupl(nGC_3) - 80d0*cima*coupl(nGC_120)*coupl( &
                        nGC_284) + 4d0*cima*coupl(nGC_122)*coupl(nGC_284) -    &
                        32d0*cima*coupl(nGC_128)*coupl(nGC_284) - 44d0*cima*   &
                        coupl(nGC_284)*coupl(nGC_3) + 24d0*coupl(nGC_1)**2d0*  &
                        coupl(nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1)**2d0*coupl(&
                        nGC_284)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1424) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(     &
                        nGC_12)*sq2**2d0 + 8d0*cima*coupl(nGC_11)*coupl(nGC_120&
                        ) - 4d0*cima*coupl(nGC_11)*coupl(nGC_128) + 12d0*cima* &
                        coupl(nGC_11)*coupl(nGC_3) + 76d0*cima*coupl(nGC_120)* &
                        coupl(nGC_284) - 8d0*cima*coupl(nGC_122)*coupl(nGC_284 &
                        ) + 28d0*cima*coupl(nGC_128)*coupl(nGC_284) + 40d0*cima&
                        *coupl(nGC_284)*coupl(nGC_3) - 24d0*coupl(nGC_1)**2d0* &
                        coupl(nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1)**2d0*coupl(&
                        nGC_284)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1423) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(     &
                        nGC_12)*sq2**2d0 + 12d0*cima*coupl(nGC_11)*coupl(      &
                        nGC_120) + 4d0*cima*coupl(nGC_11)*coupl(nGC_122) + 16d0&
                        *cima*coupl(nGC_11)*coupl(nGC_3) + 72d0*cima*coupl(    &
                        nGC_120)*coupl(nGC_284) - 12d0*cima*coupl(nGC_122)*    &
                        coupl(nGC_284) + 24d0*cima*coupl(nGC_128)*coupl(nGC_284&
                        ) + 36d0*cima*coupl(nGC_284)*coupl(nGC_3) - 24d0*coupl(&
                        nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1 &
                        )**2d0*coupl(nGC_284)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_2261) = coupl(nGC_1533) + coupl(nGC_2258)
      coupl(nGC_1421) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(    &
                        nGC_12)*sq2**2d0 + 16d0*cima*coupl(nGC_11)*coupl(      &
                        nGC_120) + 4d0*cima*coupl(nGC_11)*coupl(nGC_128) + 12d0&
                        *cima*coupl(nGC_11)*coupl(nGC_3) + 36d0*cima*coupl(    &
                        nGC_120)*coupl(nGC_284) + 24d0*cima*coupl(nGC_122)*    &
                        coupl(nGC_284) - 12d0*cima*coupl(nGC_128)*coupl(nGC_284&
                        ) + 72d0*cima*coupl(nGC_284)*coupl(nGC_3) + 24d0*coupl(&
                        nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1 &
                        )**2d0*coupl(nGC_284)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1420) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(    &
                        nGC_12)*sq2**2d0 + 12d0*cima*coupl(nGC_11)*coupl(      &
                        nGC_120) - 4d0*cima*coupl(nGC_11)*coupl(nGC_122) + 8d0*&
                        cima*coupl(nGC_11)*coupl(nGC_3) + 40d0*cima*coupl(     &
                        nGC_120)*coupl(nGC_284) + 28d0*cima*coupl(nGC_122)*    &
                        coupl(nGC_284) - 8d0*cima*coupl(nGC_128)*coupl(nGC_284 &
                        ) + 76d0*cima*coupl(nGC_284)*coupl(nGC_3) + 24d0*coupl(&
                        nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1 &
                        )**2d0*coupl(nGC_284)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1500) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**  &
                        4d0 - 148d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(&
                        nGC_120)*sq2**2d0 - 16d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_128)*sq2**2d0 + 148d0*cima*coupl(    &
                        nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 - 772d0&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl(nGC_284)* &
                        sq2**2d0 - 28d0*cima*coupl(nGC_1)**2d0*coupl(nGC_122)* &
                        coupl(nGC_284)*sq2**2d0 - 4d0*cima*coupl(nGC_1)**2d0*  &
                        coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 + 836d0*cima*   &
                        coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3)*sq2**2d0 &
                         - 192d0*cima*coupl(nGC_120)*coupl(nGC_13) - 192d0*cima&
                        *coupl(nGC_182)*coupl(nGC_3) + 63d0*coupl(nGC_1)**4d0* &
                        coupl(nGC_11)*sq2**4d0 + 350d0*coupl(nGC_1)**4d0*coupl(&
                        nGC_284)*sq2**4d0 + 48d0*coupl(nGC_1)**2d0*coupl(nGC_13&
                        )*sq2**2d0 - 288d0*coupl(nGC_1)**2d0*coupl(nGC_182)*sq2&
                        **2d0 - 192d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_120 &
                        )*sq2**2d0 + 480d0*coupl(nGC_1)*coupl(nGC_12)*coupl(   &
                        nGC_3)*sq2**2d0 + 96d0*coupl(nGC_11)*coupl(nGC_120)*   &
                        coupl(nGC_3) - 48d0*coupl(nGC_120)**2d0*coupl(nGC_284  &
                        ) + 96d0*coupl(nGC_120)*coupl(nGC_128)*coupl(nGC_284   &
                        ) + 960d0*coupl(nGC_120)*coupl(nGC_284)*coupl(nGC_3) - &
                        48d0*coupl(nGC_122)**2d0*coupl(nGC_284) + 96d0*coupl(  &
                        nGC_122)*coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(     &
                        nGC_128)**2d0*coupl(nGC_284) - 48d0*coupl(nGC_284)*    &
                        coupl(nGC_3)**2d0)/(6144d0*pi**2d0)
      coupl(nGC_1501) = cima*coupl(nGC_1)**2d0*sq2**2d0*(coupl(nGC_11)*coupl(  &
                        nGC_290) + coupl(nGC_284)*coupl(nGC_8))/(768d0*pi**2d0)
      coupl(nGC_1502) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 + &
                        116d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                        nGC_120)*sq2**2d0 - 116d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_122)*sq2**2d0 - 56d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 100d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 + 588d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl&
                        (nGC_284)*sq2**2d0 - 588d0*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_122)*coupl(nGC_284)*sq2**2d0 - 156d0*cima*coupl(  &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        708d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 + 96d0*cima*coupl(nGC_120)*coupl(nGC_184) - &
                        96d0*cima*coupl(nGC_122)*coupl(nGC_13) + 96d0*cima*    &
                        coupl(nGC_122)*coupl(nGC_182) - 96d0*cima*coupl(nGC_184&
                        )*coupl(nGC_3) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*&
                        sq2**4d0 - 862d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**&
                        4d0 - 144d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + &
                        144d0*coupl(nGC_1)**2d0*coupl(nGC_182)*sq2**2d0 - 144d0&
                        *coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 - 48d0*coupl&
                        (nGC_1)**2d0*coupl(nGC_194)*sq2**2d0 + 240d0*coupl(    &
                        nGC_1)*coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 - 240d0*  &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 -   &
                        48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**2d0&
                         - 336d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2** &
                        2d0 - 48d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_122  &
                        ) + 48d0*coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_3) -   &
                        192d0*coupl(nGC_120)**2d0*coupl(nGC_284) - 528d0*coupl(&
                        nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(   &
                        nGC_120)*coupl(nGC_128)*coupl(nGC_284) + 192d0*coupl(  &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(     &
                        nGC_122)**2d0*coupl(nGC_284) + 48d0*coupl(nGC_122)*    &
                        coupl(nGC_128)*coupl(nGC_284) + 432d0*coupl(nGC_122)*  &
                        coupl(nGC_284)*coupl(nGC_3))/(6144d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
