!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-03-21 23:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_1503) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 + &
                        60d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_120&
                        )*sq2**2d0 - 60d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*&
                        coupl(nGC_122)*sq2**2d0 - 156d0*cima*coupl(nGC_1)**2d0*&
                        coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 540d0*cima*coupl(&
                        nGC_1)**2d0*coupl(nGC_120)*coupl(nGC_284)*sq2**2d0 -   &
                        540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_122)*coupl(     &
                        nGC_284)*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_128)*coupl(nGC_284)*sq2**2d0 - 756d0*cima*coupl(   &
                        nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3)*sq2**2d0 + 96d0&
                        *cima*coupl(nGC_120)*coupl(nGC_184) - 96d0*cima*coupl( &
                        nGC_122)*coupl(nGC_13) + 96d0*cima*coupl(nGC_122)*coupl&
                        (nGC_182) - 96d0*cima*coupl(nGC_184)*coupl(nGC_3) -    &
                        123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 - 862d0*&
                        coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**4d0 - 168d0*coupl&
                        (nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 120d0*coupl(nGC_1&
                        )**2d0*coupl(nGC_182)*sq2**2d0 - 120d0*coupl(nGC_1)**  &
                        2d0*coupl(nGC_184)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*  &
                        coupl(nGC_194)*sq2**2d0 + 240d0*coupl(nGC_1)*coupl(    &
                        nGC_12)*coupl(nGC_120)*sq2**2d0 - 240d0*coupl(nGC_1)*  &
                        coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 - 48d0*coupl(    &
                        nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**2d0 - 336d0*  &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0&
                        *coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_122) + 48d0*   &
                        coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_3) - 192d0*coupl&
                        (nGC_120)**2d0*coupl(nGC_284) - 528d0*coupl(nGC_120)*  &
                        coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(nGC_120)*   &
                        coupl(nGC_128)*coupl(nGC_284) + 192d0*coupl(nGC_120)*  &
                        coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(nGC_122)**2d0*&
                        coupl(nGC_284) + 48d0*coupl(nGC_122)*coupl(nGC_128)*   &
                        coupl(nGC_284) + 432d0*coupl(nGC_122)*coupl(nGC_284)*  &
                        coupl(nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_1504) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 + &
                        76d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_120&
                        )*sq2**2d0 - 76d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*&
                        coupl(nGC_122)*sq2**2d0 - 16d0*cima*coupl(nGC_1)**2d0* &
                        coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 140d0*cima*    &
                        coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0  &
                         + 492d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl(  &
                        nGC_284)*sq2**2d0 - 492d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_122)*coupl(nGC_284)*sq2**2d0 - 60d0*cima*coupl(    &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        804d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 + 96d0*cima*coupl(nGC_120)*coupl(nGC_184) - &
                        96d0*cima*coupl(nGC_122)*coupl(nGC_13) + 96d0*cima*    &
                        coupl(nGC_122)*coupl(nGC_182) - 96d0*cima*coupl(nGC_184&
                        )*coupl(nGC_3) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*&
                        sq2**4d0 - 862d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**&
                        4d0 - 192d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + &
                        96d0*coupl(nGC_1)**2d0*coupl(nGC_182)*sq2**2d0 - 96d0* &
                        coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 + 240d0*coupl&
                        (nGC_1)*coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 - 240d0* &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 -   &
                        48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**2d0&
                         - 336d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2** &
                        2d0 - 48d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_122  &
                        ) + 48d0*coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_3) -   &
                        192d0*coupl(nGC_120)**2d0*coupl(nGC_284) - 528d0*coupl(&
                        nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(   &
                        nGC_120)*coupl(nGC_128)*coupl(nGC_284) + 192d0*coupl(  &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(     &
                        nGC_122)**2d0*coupl(nGC_284) + 48d0*coupl(nGC_122)*    &
                        coupl(nGC_128)*coupl(nGC_284) + 432d0*coupl(nGC_122)*  &
                        coupl(nGC_284)*coupl(nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_1505) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0  &
                         - 168d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(   &
                        nGC_120)*sq2**2d0 - 16d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_122)*sq2**2d0 + 16d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 + 232d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 - 1224d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*    &
                        coupl(nGC_284)*sq2**2d0 - 120d0*cima*coupl(nGC_1)**2d0*&
                        coupl(nGC_122)*coupl(nGC_284)*sq2**2d0 + 120d0*cima*   &
                        coupl(nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**  &
                        2d0 + 1416d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*    &
                        coupl(nGC_3)*sq2**2d0 - 192d0*cima*coupl(nGC_120)*coupl&
                        (nGC_13) + 192d0*cima*coupl(nGC_120)*coupl(nGC_182) +  &
                        192d0*cima*coupl(nGC_13)*coupl(nGC_3) - 192d0*cima*    &
                        coupl(nGC_182)*coupl(nGC_3) + 123d0*coupl(nGC_1)**4d0* &
                        coupl(nGC_11)*sq2**4d0 + 862d0*coupl(nGC_1)**4d0*coupl(&
                        nGC_284)*sq2**4d0 + 288d0*coupl(nGC_1)**2d0*coupl(     &
                        nGC_13)*sq2**2d0 - 192d0*coupl(nGC_1)**2d0*coupl(      &
                        nGC_182)*sq2**2d0 - 384d0*coupl(nGC_1)*coupl(nGC_12)*  &
                        coupl(nGC_120)*sq2**2d0 + 576d0*coupl(nGC_1)*coupl(    &
                        nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl(nGC_11)*    &
                        coupl(nGC_120)**2d0 + 96d0*coupl(nGC_11)*coupl(nGC_120 &
                        )*coupl(nGC_3) - 48d0*coupl(nGC_11)*coupl(nGC_3)**2d0  &
                         - 672d0*coupl(nGC_120)**2d0*coupl(nGC_284) - 96d0*    &
                        coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*   &
                        coupl(nGC_120)*coupl(nGC_128)*coupl(nGC_284) + 960d0*  &
                        coupl(nGC_120)*coupl(nGC_284)*coupl(nGC_3) + 96d0*coupl&
                        (nGC_122)*coupl(nGC_284)*coupl(nGC_3) - 96d0*coupl(    &
                        nGC_128)*coupl(nGC_284)*coupl(nGC_3) - 480d0*coupl(    &
                        nGC_284)*coupl(nGC_3)**2d0)/(3072d0*pi**2d0)
      coupl(nGC_1506) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0  &
                         + 40d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(    &
                        nGC_120)*sq2**2d0 + 208d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_122)*sq2**2d0 + 24d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 + 8d0*cima&
                        *coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 &
                         + 240d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl(  &
                        nGC_284)*sq2**2d0 + 1296d0*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_122)*coupl(nGC_284)*sq2**2d0 + 96d0*cima*coupl(   &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 +   &
                        192d0*cima*coupl(nGC_122)*coupl(nGC_184) + 123d0*coupl(&
                        nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 + 862d0*coupl(nGC_1 &
                        )**4d0*coupl(nGC_284)*sq2**4d0 + 288d0*coupl(nGC_1)**  &
                        2d0*coupl(nGC_184)*sq2**2d0 + 48d0*coupl(nGC_1)**2d0*  &
                        coupl(nGC_194)*sq2**2d0 + 48d0*coupl(nGC_1)*coupl(     &
                        nGC_12)*coupl(nGC_120)*sq2**2d0 + 528d0*coupl(nGC_1)*  &
                        coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 + 48d0*coupl(    &
                        nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**2d0 + 48d0*   &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0&
                        *coupl(nGC_11)*coupl(nGC_122)**2d0 - 96d0*coupl(nGC_120&
                        )**2d0*coupl(nGC_284) - 288d0*coupl(nGC_120)*coupl(    &
                        nGC_122)*coupl(nGC_284) + 96d0*coupl(nGC_120)*coupl(   &
                        nGC_284)*coupl(nGC_3) - 384d0*coupl(nGC_122)**2d0*coupl&
                        (nGC_284) + 96d0*coupl(nGC_122)*coupl(nGC_128)*coupl(  &
                        nGC_284) - 96d0*coupl(nGC_128)*coupl(nGC_284)*coupl(   &
                        nGC_3))/(3072d0*pi**2d0)
      coupl(nGC_1507) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0  &
                         + 56d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(    &
                        nGC_120)*sq2**2d0 + 192d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_122)*sq2**2d0 + 8d0*cima*coupl(nGC_1 &
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 + 24d0*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 + 336d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl&
                        (nGC_284)*sq2**2d0 + 1200d0*cima*coupl(nGC_1)**2d0*    &
                        coupl(nGC_122)*coupl(nGC_284)*sq2**2d0 + 96d0*cima*    &
                        coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3)*sq2**2d0 &
                         + 192d0*cima*coupl(nGC_122)*coupl(nGC_184) + 123d0*   &
                        coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 + 862d0*coupl(&
                        nGC_1)**4d0*coupl(nGC_284)*sq2**4d0 + 48d0*coupl(nGC_1 &
                        )**2d0*coupl(nGC_13)*sq2**2d0 + 48d0*coupl(nGC_1)**2d0*&
                        coupl(nGC_182)*sq2**2d0 + 240d0*coupl(nGC_1)**2d0*coupl&
                        (nGC_184)*sq2**2d0 + 48d0*coupl(nGC_1)*coupl(nGC_12)*  &
                        coupl(nGC_120)*sq2**2d0 + 528d0*coupl(nGC_1)*coupl(    &
                        nGC_12)*coupl(nGC_122)*sq2**2d0 + 48d0*coupl(nGC_1)*   &
                        coupl(nGC_12)*coupl(nGC_128)*sq2**2d0 + 48d0*coupl(    &
                        nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl&
                        (nGC_11)*coupl(nGC_122)**2d0 - 144d0*coupl(nGC_120)**  &
                        2d0*coupl(nGC_284) - 192d0*coupl(nGC_120)*coupl(nGC_122&
                        )*coupl(nGC_284) + 96d0*coupl(nGC_120)*coupl(nGC_128)* &
                        coupl(nGC_284) - 432d0*coupl(nGC_122)**2d0*coupl(      &
                        nGC_284) + 96d0*coupl(nGC_122)*coupl(nGC_284)*coupl(   &
                        nGC_3) - 48d0*coupl(nGC_128)**2d0*coupl(nGC_284) - 48d0&
                        *coupl(nGC_284)*coupl(nGC_3)**2d0)/(3072d0*pi**2d0)
      coupl(nGC_1401) = coupl(nGC_2)**2d0*sq2**3d0*(12d0*Nc**2d0*cima*coupl(   &
                        nGC_12) - 9d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_11) - 36d0&
                        *Nc**2d0*coupl(nGC_1)*coupl(nGC_284) + 5d0*cima*coupl( &
                        nGC_11)*coupl(nGC_2) + 14d0*cima*coupl(nGC_2)*coupl(   &
                        nGC_284))/(768d0*pi**2d0*Nc**2d0)
      coupl(nGC_1429) = (10d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 6d0*Nc*cima*&
                        coupl(nGC_120)*coupl(nGC_122) - 6d0*Nc*cima*coupl(     &
                        nGC_122)*coupl(nGC_3) + 6d0*Nc*coupl(nGC_1)**2d0*coupl(&
                        nGC_120)*sq2**2d0 - 6d0*Nc*coupl(nGC_1)**2d0*coupl(    &
                        nGC_122)*sq2**2d0 - 12d0*Nc*coupl(nGC_1)**2d0*coupl(   &
                        nGC_3)*sq2**2d0 - 5d0*cima*coupl(nGC_2)**4d0*sq2**4d0  &
                        )/(384d0*pi**2d0*Nc)
      coupl(nGC_1403) = cMB*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(     &
                        nGC_290) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_290) - &
                        coupl(nGC_8))/(128d0*pi**2d0*Nc)
      coupl(nGC_1402) = cMC*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(     &
                        nGC_290) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_290) - &
                        coupl(nGC_8))/(128d0*pi**2d0*Nc)
      coupl(nGC_2176) = coupl(nGC_2109) + coupl(nGC_2172)
      coupl(nGC_2177) = coupl(nGC_2109) + coupl(nGC_2173)
      coupl(nGC_1499) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**  &
                        4d0 - 108d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(&
                        nGC_120)*sq2**2d0 + 12d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_122)*sq2**2d0 - 4d0*cima*coupl(nGC_1 &
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 + 188d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 - 568d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl&
                        (nGC_284)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_122)*coupl(nGC_284)*sq2**2d0 + 32d0*cima*coupl(    &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 +   &
                        1040d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(    &
                        nGC_3)*sq2**2d0 + 192d0*cima*coupl(nGC_120)*coupl(     &
                        nGC_182) + 192d0*cima*coupl(nGC_13)*coupl(nGC_3) + 63d0&
                        *coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 + 350d0*coupl&
                        (nGC_1)**4d0*coupl(nGC_284)*sq2**4d0 + 288d0*coupl(    &
                        nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 - 48d0*coupl(nGC_1  &
                        )**2d0*coupl(nGC_182)*sq2**2d0 - 312d0*coupl(nGC_1)*   &
                        coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 + 360d0*coupl(   &
                        nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl&
                        (nGC_11)*coupl(nGC_120)**2d0 - 48d0*coupl(nGC_11)*coupl&
                        (nGC_3)**2d0 - 480d0*coupl(nGC_120)**2d0*coupl(nGC_284 &
                        ) - 96d0*coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_284   &
                        ) + 96d0*coupl(nGC_120)*coupl(nGC_284)*coupl(nGC_3) +  &
                        96d0*coupl(nGC_122)*coupl(nGC_128)*coupl(nGC_284) -    &
                        96d0*coupl(nGC_128)*coupl(nGC_284)*coupl(nGC_3) - 480d0&
                        *coupl(nGC_284)*coupl(nGC_3)**2d0)/(6144d0*pi**2d0)
      coupl(nGC_1386) = Nc*(12d0*cima*coupl(nGC_1)*coupl(nGC_12)*sq2**2d0 + 4d0&
                        *cima*coupl(nGC_11)*coupl(nGC_120) - 4d0*cima*coupl(   &
                        nGC_11)*coupl(nGC_3) + 44d0*cima*coupl(nGC_120)*coupl( &
                        nGC_284) + 4d0*cima*coupl(nGC_122)*coupl(nGC_284) - 4d0&
                        *cima*coupl(nGC_128)*coupl(nGC_284) - 44d0*cima*coupl( &
                        nGC_284)*coupl(nGC_3) - 5d0*coupl(nGC_1)**2d0*coupl(   &
                        nGC_11)*sq2**2d0 - 66d0*coupl(nGC_1)**2d0*coupl(nGC_284&
                        )*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_1445) = Nc*(-67d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(  &
                        nGC_290)*sq2**2d0 - 21d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_8)*sq2**2d0 - 366d0*cima*coupl(nGC_1 &
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 - 67d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 - 4d0*cima*coupl(nGC_10)*coupl(nGC_11) - 44d0*   &
                        cima*coupl(nGC_10)*coupl(nGC_284) + 4d0*cima*coupl(    &
                        nGC_11)*coupl(nGC_144) + 24d0*cima*coupl(nGC_12)*coupl(&
                        nGC_9)*sq2**2d0 - 44d0*cima*coupl(nGC_13)*coupl(nGC_290&
                        ) - 4d0*cima*coupl(nGC_13)*coupl(nGC_8) + 4d0*cima*    &
                        coupl(nGC_142)*coupl(nGC_284) + 44d0*cima*coupl(nGC_144&
                        )*coupl(nGC_284) - 4d0*cima*coupl(nGC_148)*coupl(      &
                        nGC_284) + 44d0*cima*coupl(nGC_182)*coupl(nGC_290) +   &
                        4d0*cima*coupl(nGC_182)*coupl(nGC_8) + 4d0*cima*coupl( &
                        nGC_184)*coupl(nGC_290) - 4d0*cima*coupl(nGC_194)*coupl&
                        (nGC_290) - 18d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9&
                        )*sq2**2d0 - 132d0*coupl(nGC_1)*coupl(nGC_12)*coupl(   &
                        nGC_290)*sq2**2d0 - 18d0*coupl(nGC_1)*coupl(nGC_12)*   &
                        coupl(nGC_8)*sq2**2d0 - 132d0*coupl(nGC_1)*coupl(      &
                        nGC_284)*coupl(nGC_9)*sq2**2d0 - 30d0*coupl(nGC_11)*   &
                        coupl(nGC_120)*coupl(nGC_290) - 6d0*coupl(nGC_11)*coupl&
                        (nGC_120)*coupl(nGC_8) - 2d0*coupl(nGC_11)*coupl(      &
                        nGC_122)*coupl(nGC_290) - 2d0*coupl(nGC_11)*coupl(     &
                        nGC_122)*coupl(nGC_8) + 2d0*coupl(nGC_11)*coupl(nGC_128&
                        )*coupl(nGC_290) + 2d0*coupl(nGC_11)*coupl(nGC_128)*   &
                        coupl(nGC_8) + 30d0*coupl(nGC_11)*coupl(nGC_290)*coupl(&
                        nGC_3) + 6d0*coupl(nGC_11)*coupl(nGC_3)*coupl(nGC_8) - &
                        212d0*coupl(nGC_120)*coupl(nGC_284)*coupl(nGC_290) -   &
                        30d0*coupl(nGC_120)*coupl(nGC_284)*coupl(nGC_8) - 28d0*&
                        coupl(nGC_122)*coupl(nGC_284)*coupl(nGC_290) - 2d0*    &
                        coupl(nGC_122)*coupl(nGC_284)*coupl(nGC_8) + 28d0*coupl&
                        (nGC_128)*coupl(nGC_284)*coupl(nGC_290) + 2d0*coupl(   &
                        nGC_128)*coupl(nGC_284)*coupl(nGC_8) + 212d0*coupl(    &
                        nGC_284)*coupl(nGC_290)*coupl(nGC_3) + 30d0*coupl(     &
                        nGC_284)*coupl(nGC_3)*coupl(nGC_8))/(384d0*pi**2d0)
      coupl(nGC_1456) = Nc*(-350d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl( &
                        nGC_290)*sq2**2d0 - 267d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_8)*sq2**2d0 - 1608d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 - 304d0* &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 - 8d0*cima*coupl(nGC_10)*coupl(nGC_11) - 88d0*   &
                        cima*coupl(nGC_10)*coupl(nGC_284) + 8d0*cima*coupl(    &
                        nGC_11)*coupl(nGC_144) + 72d0*cima*coupl(nGC_12)*coupl(&
                        nGC_9)*sq2**2d0 - 176d0*cima*coupl(nGC_13)*coupl(      &
                        nGC_290) - 16d0*cima*coupl(nGC_13)*coupl(nGC_8) + 8d0* &
                        cima*coupl(nGC_142)*coupl(nGC_284) + 88d0*cima*coupl(  &
                        nGC_144)*coupl(nGC_284) - 8d0*cima*coupl(nGC_148)*coupl&
                        (nGC_284) + 176d0*cima*coupl(nGC_182)*coupl(nGC_290) + &
                        16d0*cima*coupl(nGC_182)*coupl(nGC_8) + 16d0*cima*coupl&
                        (nGC_184)*coupl(nGC_290) - 16d0*cima*coupl(nGC_194)*   &
                        coupl(nGC_290) - 88d0*coupl(nGC_1)*coupl(nGC_11)*coupl(&
                        nGC_9)*sq2**2d0 - 572d0*coupl(nGC_1)*coupl(nGC_12)*    &
                        coupl(nGC_290)*sq2**2d0 - 74d0*coupl(nGC_1)*coupl(     &
                        nGC_12)*coupl(nGC_8)*sq2**2d0 - 352d0*coupl(nGC_1)*    &
                        coupl(nGC_284)*coupl(nGC_9)*sq2**2d0 - 132d0*coupl(    &
                        nGC_11)*coupl(nGC_120)*coupl(nGC_290) - 132d0*coupl(   &
                        nGC_11)*coupl(nGC_120)*coupl(nGC_8) - 12d0*coupl(nGC_11&
                        )*coupl(nGC_122)*coupl(nGC_290) - 12d0*coupl(nGC_11)*  &
                        coupl(nGC_122)*coupl(nGC_8) + 12d0*coupl(nGC_11)*coupl(&
                        nGC_128)*coupl(nGC_290) + 12d0*coupl(nGC_11)*coupl(    &
                        nGC_128)*coupl(nGC_8) + 132d0*coupl(nGC_11)*coupl(     &
                        nGC_290)*coupl(nGC_3) + 132d0*coupl(nGC_11)*coupl(nGC_3&
                        )*coupl(nGC_8) - 888d0*coupl(nGC_120)*coupl(nGC_284)*  &
                        coupl(nGC_290) - 132d0*coupl(nGC_120)*coupl(nGC_284)*  &
                        coupl(nGC_8) - 120d0*coupl(nGC_122)*coupl(nGC_284)*    &
                        coupl(nGC_290) - 12d0*coupl(nGC_122)*coupl(nGC_284)*   &
                        coupl(nGC_8) + 120d0*coupl(nGC_128)*coupl(nGC_284)*    &
                        coupl(nGC_290) + 12d0*coupl(nGC_128)*coupl(nGC_284)*   &
                        coupl(nGC_8) + 888d0*coupl(nGC_284)*coupl(nGC_290)*    &
                        coupl(nGC_3) + 132d0*coupl(nGC_284)*coupl(nGC_3)*coupl(&
                        nGC_8))/(1536d0*pi**2d0)
      coupl(nGC_2411) = coupl(nGC_2109) + coupl(nGC_2406)
      coupl(nGC_1454) = (-67d0*Nc**2d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*   &
                        coupl(nGC_290)*sq2**2d0 - 21d0*Nc**2d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_8)*sq2**2d0 - 366d0*Nc**&
                        2d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_290&
                        )*sq2**2d0 - 67d0*Nc**2d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_284)*coupl(nGC_8)*sq2**2d0 - 4d0*Nc**2d0*cima*coupl&
                        (nGC_10)*coupl(nGC_11) - 44d0*Nc**2d0*cima*coupl(nGC_10&
                        )*coupl(nGC_284) + 4d0*Nc**2d0*cima*coupl(nGC_11)*coupl&
                        (nGC_144) + 24d0*Nc**2d0*cima*coupl(nGC_12)*coupl(nGC_9&
                        )*sq2**2d0 - 44d0*Nc**2d0*cima*coupl(nGC_13)*coupl(    &
                        nGC_290) - 4d0*Nc**2d0*cima*coupl(nGC_13)*coupl(nGC_8  &
                        ) + 4d0*Nc**2d0*cima*coupl(nGC_142)*coupl(nGC_284) +   &
                        44d0*Nc**2d0*cima*coupl(nGC_144)*coupl(nGC_284) - 4d0* &
                        Nc**2d0*cima*coupl(nGC_148)*coupl(nGC_284) + 44d0*Nc** &
                        2d0*cima*coupl(nGC_182)*coupl(nGC_290) + 4d0*Nc**2d0*  &
                        cima*coupl(nGC_182)*coupl(nGC_8) + 4d0*Nc**2d0*cima*   &
                        coupl(nGC_184)*coupl(nGC_290) - 4d0*Nc**2d0*cima*coupl(&
                        nGC_194)*coupl(nGC_290) - 18d0*Nc**2d0*coupl(nGC_1)*   &
                        coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 - 132d0*Nc**2d0*   &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_290)*sq2**2d0 -   &
                        18d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*  &
                        sq2**2d0 - 132d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_284)*  &
                        coupl(nGC_9)*sq2**2d0 - 30d0*Nc**2d0*coupl(nGC_11)*    &
                        coupl(nGC_120)*coupl(nGC_290) - 6d0*Nc**2d0*coupl(     &
                        nGC_11)*coupl(nGC_120)*coupl(nGC_8) - 2d0*Nc**2d0*coupl&
                        (nGC_11)*coupl(nGC_122)*coupl(nGC_290) - 2d0*Nc**2d0*  &
                        coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_8) + 2d0*Nc**2d0&
                        *coupl(nGC_11)*coupl(nGC_128)*coupl(nGC_290) + 2d0*Nc**&
                        2d0*coupl(nGC_11)*coupl(nGC_128)*coupl(nGC_8) + 30d0*Nc&
                        **2d0*coupl(nGC_11)*coupl(nGC_290)*coupl(nGC_3) + 6d0* &
                        Nc**2d0*coupl(nGC_11)*coupl(nGC_3)*coupl(nGC_8) - 212d0&
                        *Nc**2d0*coupl(nGC_120)*coupl(nGC_284)*coupl(nGC_290   &
                        ) - 30d0*Nc**2d0*coupl(nGC_120)*coupl(nGC_284)*coupl(  &
                        nGC_8) - 28d0*Nc**2d0*coupl(nGC_122)*coupl(nGC_284)*   &
                        coupl(nGC_290) - 2d0*Nc**2d0*coupl(nGC_122)*coupl(     &
                        nGC_284)*coupl(nGC_8) + 28d0*Nc**2d0*coupl(nGC_128)*   &
                        coupl(nGC_284)*coupl(nGC_290) + 2d0*Nc**2d0*coupl(     &
                        nGC_128)*coupl(nGC_284)*coupl(nGC_8) + 212d0*Nc**2d0*  &
                        coupl(nGC_284)*coupl(nGC_290)*coupl(nGC_3) + 30d0*Nc** &
                        2d0*coupl(nGC_284)*coupl(nGC_3)*coupl(nGC_8) + 2d0*cima&
                        *coupl(nGC_10)*coupl(nGC_11) + 22d0*cima*coupl(nGC_10)*&
                        coupl(nGC_284) - 2d0*cima*coupl(nGC_11)*coupl(nGC_142  &
                        ) - 2d0*cima*coupl(nGC_11)*coupl(nGC_144) + 22d0*cima* &
                        coupl(nGC_13)*coupl(nGC_290) + 2d0*cima*coupl(nGC_13)* &
                        coupl(nGC_8) - 22d0*cima*coupl(nGC_142)*coupl(nGC_284  &
                        ) - 26d0*cima*coupl(nGC_144)*coupl(nGC_284) + 2d0*cima*&
                        coupl(nGC_148)*coupl(nGC_284) - 26d0*cima*coupl(nGC_182&
                        )*coupl(nGC_290) - 2d0*cima*coupl(nGC_182)*coupl(nGC_8 &
                        ) - 22d0*cima*coupl(nGC_184)*coupl(nGC_290) - 2d0*cima*&
                        coupl(nGC_184)*coupl(nGC_8) + 2d0*cima*coupl(nGC_194)* &
                        coupl(nGC_290))/(384d0*pi**2d0*Nc)
      coupl(nGC_2451) = -2d0*coupl(nGC_2444)
      coupl(nGC_2494) = -coupl(nGC_2493)
      coupl(nGC_1510) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 + &
                        84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_120&
                        )*sq2**2d0 - 84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*&
                        coupl(nGC_122)*sq2**2d0 - 24d0*cima*coupl(nGC_1)**2d0* &
                        coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 132d0*cima*    &
                        coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0  &
                         + 540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl(  &
                        nGC_284)*sq2**2d0 - 540d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_122)*coupl(nGC_284)*sq2**2d0 - 108d0*cima*coupl(   &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        756d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 + 96d0*cima*coupl(nGC_120)*coupl(nGC_184) - &
                        96d0*cima*coupl(nGC_122)*coupl(nGC_13) + 96d0*cima*    &
                        coupl(nGC_122)*coupl(nGC_182) - 96d0*cima*coupl(nGC_184&
                        )*coupl(nGC_3) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*&
                        sq2**4d0 - 862d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**&
                        4d0 - 192d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + &
                        96d0*coupl(nGC_1)**2d0*coupl(nGC_182)*sq2**2d0 - 96d0* &
                        coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 + 264d0*coupl&
                        (nGC_1)*coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 - 264d0* &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 -   &
                        72d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**2d0&
                         - 312d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2** &
                        2d0 - 48d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_122  &
                        ) + 48d0*coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_3) -   &
                        192d0*coupl(nGC_120)**2d0*coupl(nGC_284) - 528d0*coupl(&
                        nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(   &
                        nGC_120)*coupl(nGC_128)*coupl(nGC_284) + 192d0*coupl(  &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(     &
                        nGC_122)**2d0*coupl(nGC_284) + 48d0*coupl(nGC_122)*    &
                        coupl(nGC_128)*coupl(nGC_284) + 432d0*coupl(nGC_122)*  &
                        coupl(nGC_284)*coupl(nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_2421) = coupl(nGC_1532) + coupl(nGC_2418)
      coupl(nGC_1434) = (-10d0*cima*coupl(nGC_1)**4d0*sq2**4d0 + 6d0*cima*coupl&
                        (nGC_122)**2d0 + 18d0*coupl(nGC_1)**2d0*coupl(nGC_122)*&
                        sq2**2d0 + 3d0*coupl(nGC_1)**2d0*coupl(nGC_128)*sq2**  &
                        2d0)/(192d0*pi**2d0)
      coupl(nGC_1435) = (-4d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 - 12d0*Nc*cima&
                        *coupl(nGC_120)*coupl(nGC_3) - 9d0*Nc*coupl(nGC_1)**2d0&
                        *coupl(nGC_120)*sq2**2d0 + 12d0*Nc*coupl(nGC_1)**2d0*  &
                        coupl(nGC_3)*sq2**2d0 + 15d0*cima*coupl(nGC_2)**4d0*sq2&
                        **4d0)/(384d0*pi**2d0)
      coupl(nGC_1436) = (-8d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 12d0*Nc*cima&
                        *coupl(nGC_120)**2d0 + 12d0*Nc*cima*coupl(nGC_3)**2d0  &
                         - 3d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_120)*sq2**2d0 +  &
                        39d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**2d0 + 30d0*&
                        cima*coupl(nGC_2)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_1437) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_1)**4d0*sq2**2d0 - 3d0&
                        *Nc*coupl(nGC_1)**2d0*coupl(nGC_122) + 9d0*Nc*coupl(   &
                        nGC_1)**2d0*coupl(nGC_128) - 50d0*cima*coupl(nGC_2)**  &
                        4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_1430) = (10d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 6d0*Nc*cima*&
                        coupl(nGC_120)*coupl(nGC_122) - 6d0*Nc*cima*coupl(     &
                        nGC_122)*coupl(nGC_3) + 9d0*Nc*coupl(nGC_1)**2d0*coupl(&
                        nGC_120)*sq2**2d0 - 9d0*Nc*coupl(nGC_1)**2d0*coupl(    &
                        nGC_122)*sq2**2d0 - 3d0*Nc*coupl(nGC_1)**2d0*coupl(    &
                        nGC_128)*sq2**2d0 - 9d0*Nc*coupl(nGC_1)**2d0*coupl(    &
                        nGC_3)*sq2**2d0 - 5d0*cima*coupl(nGC_2)**4d0*sq2**4d0  &
                        )/(384d0*pi**2d0*Nc)
      coupl(nGC_1431) = (-20d0*cima*coupl(nGC_1)**4d0*sq2**4d0 + 12d0*cima*    &
                        coupl(nGC_122)**2d0 + 3d0*coupl(nGC_1)**2d0*coupl(     &
                        nGC_120)*sq2**2d0 + 33d0*coupl(nGC_1)**2d0*coupl(      &
                        nGC_122)*sq2**2d0 + 3d0*coupl(nGC_1)**2d0*coupl(nGC_128&
                        )*sq2**2d0 + 3d0*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**  &
                        2d0)/(384d0*pi**2d0)
      coupl(nGC_1432) = (-5d0*cima*coupl(nGC_1)**4d0*sq2**4d0 + 3d0*cima*coupl(&
                        nGC_120)**2d0 - 6d0*cima*coupl(nGC_120)*coupl(nGC_3) + &
                        3d0*cima*coupl(nGC_3)**2d0 - 6d0*coupl(nGC_1)**2d0*    &
                        coupl(nGC_120)*sq2**2d0 + 9d0*coupl(nGC_1)**2d0*coupl( &
                        nGC_3)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_2410) = coupl(nGC_2109) + coupl(nGC_2407)
      coupl(nGC_1416) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(    &
                        nGC_12)*sq2**2d0 + 20d0*cima*coupl(nGC_11)*coupl(      &
                        nGC_120) + 4d0*cima*coupl(nGC_11)*coupl(nGC_122) + 8d0*&
                        cima*coupl(nGC_11)*coupl(nGC_128) + 16d0*cima*coupl(   &
                        nGC_11)*coupl(nGC_3) + 44d0*cima*coupl(nGC_120)*coupl( &
                        nGC_284) + 32d0*cima*coupl(nGC_122)*coupl(nGC_284) -   &
                        4d0*cima*coupl(nGC_128)*coupl(nGC_284) + 80d0*cima*    &
                        coupl(nGC_284)*coupl(nGC_3) + 24d0*coupl(nGC_1)**2d0*  &
                        coupl(nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1)**2d0*coupl(&
                        nGC_284)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1417) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(    &
                        nGC_12)*sq2**2d0 - 12d0*cima*coupl(nGC_11)*coupl(      &
                        nGC_120) - 4d0*cima*coupl(nGC_11)*coupl(nGC_122) - 16d0&
                        *cima*coupl(nGC_11)*coupl(nGC_3) - 72d0*cima*coupl(    &
                        nGC_120)*coupl(nGC_284) + 12d0*cima*coupl(nGC_122)*    &
                        coupl(nGC_284) - 24d0*cima*coupl(nGC_128)*coupl(nGC_284&
                        ) - 36d0*cima*coupl(nGC_284)*coupl(nGC_3) + 24d0*coupl(&
                        nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1 &
                        )**2d0*coupl(nGC_284)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1414) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(     &
                        nGC_12)*sq2**2d0 - 12d0*cima*coupl(nGC_11)*coupl(      &
                        nGC_120) + 4d0*cima*coupl(nGC_11)*coupl(nGC_122) - 8d0*&
                        cima*coupl(nGC_11)*coupl(nGC_3) - 40d0*cima*coupl(     &
                        nGC_120)*coupl(nGC_284) - 28d0*cima*coupl(nGC_122)*    &
                        coupl(nGC_284) + 8d0*cima*coupl(nGC_128)*coupl(nGC_284 &
                        ) - 76d0*cima*coupl(nGC_284)*coupl(nGC_3) - 24d0*coupl(&
                        nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1 &
                        )**2d0*coupl(nGC_284)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1415) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(     &
                        nGC_12)*sq2**2d0 - 16d0*cima*coupl(nGC_11)*coupl(      &
                        nGC_120) - 4d0*cima*coupl(nGC_11)*coupl(nGC_128) - 12d0&
                        *cima*coupl(nGC_11)*coupl(nGC_3) - 36d0*cima*coupl(    &
                        nGC_120)*coupl(nGC_284) - 24d0*cima*coupl(nGC_122)*    &
                        coupl(nGC_284) + 12d0*cima*coupl(nGC_128)*coupl(nGC_284&
                        ) - 72d0*cima*coupl(nGC_284)*coupl(nGC_3) - 24d0*coupl(&
                        nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1 &
                        )**2d0*coupl(nGC_284)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1438) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_1)**4d0*sq2**2d0 - 9d0&
                        *Nc*coupl(nGC_1)**2d0*coupl(nGC_122) + 3d0*Nc*coupl(   &
                        nGC_1)**2d0*coupl(nGC_128) - 50d0*cima*coupl(nGC_2)**  &
                        4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_1439) = (-8d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 - 24d0*Nc*cima&
                        *coupl(nGC_120)*coupl(nGC_3) - 39d0*Nc*coupl(nGC_1)**  &
                        2d0*coupl(nGC_120)*sq2**2d0 + 3d0*Nc*coupl(nGC_1)**2d0*&
                        coupl(nGC_3)*sq2**2d0 + 30d0*cima*coupl(nGC_2)**4d0*sq2&
                        **4d0)/(768d0*pi**2d0)
      coupl(nGC_1478) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9&
                        )*sq2**2d0 - 36d0*cima*coupl(nGC_120)*coupl(nGC_290) - &
                        16d0*cima*coupl(nGC_120)*coupl(nGC_8) - 24d0*cima*coupl&
                        (nGC_122)*coupl(nGC_290) + 12d0*cima*coupl(nGC_128)*   &
                        coupl(nGC_290) - 4d0*cima*coupl(nGC_128)*coupl(nGC_8   &
                        ) - 72d0*cima*coupl(nGC_290)*coupl(nGC_3) - 12d0*cima* &
                        coupl(nGC_3)*coupl(nGC_8) - 105d0*coupl(nGC_1)**2d0*   &
                        coupl(nGC_290)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(&
                        nGC_8)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1477) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(    &
                        nGC_9)*sq2**2d0 + 44d0*cima*coupl(nGC_120)*coupl(      &
                        nGC_290) + 20d0*cima*coupl(nGC_120)*coupl(nGC_8) + 32d0&
                        *cima*coupl(nGC_122)*coupl(nGC_290) + 4d0*cima*coupl(  &
                        nGC_122)*coupl(nGC_8) - 4d0*cima*coupl(nGC_128)*coupl( &
                        nGC_290) + 8d0*cima*coupl(nGC_128)*coupl(nGC_8) + 80d0*&
                        cima*coupl(nGC_290)*coupl(nGC_3) + 16d0*cima*coupl(    &
                        nGC_3)*coupl(nGC_8) + 105d0*coupl(nGC_1)**2d0*coupl(   &
                        nGC_290)*sq2**2d0 + 24d0*coupl(nGC_1)**2d0*coupl(nGC_8 &
                        )*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1473) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(    &
                        nGC_9)*sq2**2d0 - 72d0*cima*coupl(nGC_120)*coupl(      &
                        nGC_290) - 12d0*cima*coupl(nGC_120)*coupl(nGC_8) + 12d0&
                        *cima*coupl(nGC_122)*coupl(nGC_290) - 4d0*cima*coupl(  &
                        nGC_122)*coupl(nGC_8) - 24d0*cima*coupl(nGC_128)*coupl(&
                        nGC_290) - 36d0*cima*coupl(nGC_290)*coupl(nGC_3) - 16d0&
                        *cima*coupl(nGC_3)*coupl(nGC_8) + 105d0*coupl(nGC_1)** &
                        2d0*coupl(nGC_290)*sq2**2d0 + 24d0*coupl(nGC_1)**2d0*  &
                        coupl(nGC_8)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1475) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(    &
                        nGC_9)*sq2**2d0 - 76d0*cima*coupl(nGC_120)*coupl(      &
                        nGC_290) - 8d0*cima*coupl(nGC_120)*coupl(nGC_8) + 8d0* &
                        cima*coupl(nGC_122)*coupl(nGC_290) - 28d0*cima*coupl(  &
                        nGC_128)*coupl(nGC_290) + 4d0*cima*coupl(nGC_128)*coupl&
                        (nGC_8) - 40d0*cima*coupl(nGC_290)*coupl(nGC_3) - 12d0*&
                        cima*coupl(nGC_3)*coupl(nGC_8) + 105d0*coupl(nGC_1)**  &
                        2d0*coupl(nGC_290)*sq2**2d0 + 24d0*coupl(nGC_1)**2d0*  &
                        coupl(nGC_8)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1433) = (-10d0*cima*coupl(nGC_1)**4d0*sq2**4d0 + 6d0*cima*coupl&
                        (nGC_122)**2d0 + 3d0*coupl(nGC_1)**2d0*coupl(nGC_120)* &
                        sq2**2d0 + 15d0*coupl(nGC_1)**2d0*coupl(nGC_122)*sq2** &
                        2d0 + 3d0*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**2d0)/(   &
                        192d0*pi**2d0)
      coupl(nGC_1474) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9&
                        )*sq2**2d0 - 40d0*cima*coupl(nGC_120)*coupl(nGC_290) - &
                        12d0*cima*coupl(nGC_120)*coupl(nGC_8) - 28d0*cima*coupl&
                        (nGC_122)*coupl(nGC_290) + 4d0*cima*coupl(nGC_122)*    &
                        coupl(nGC_8) + 8d0*cima*coupl(nGC_128)*coupl(nGC_290   &
                        ) - 76d0*cima*coupl(nGC_290)*coupl(nGC_3) - 8d0*cima*  &
                        coupl(nGC_3)*coupl(nGC_8) - 105d0*coupl(nGC_1)**2d0*   &
                        coupl(nGC_290)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(&
                        nGC_8)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1512) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0  &
                         + 48d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(    &
                        nGC_120)*sq2**2d0 + 200d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_122)*sq2**2d0 + 16d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 + 16d0*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 + 288d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl&
                        (nGC_284)*sq2**2d0 + 1248d0*cima*coupl(nGC_1)**2d0*    &
                        coupl(nGC_122)*coupl(nGC_284)*sq2**2d0 + 48d0*cima*    &
                        coupl(nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**  &
                        2d0 + 48d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(&
                        nGC_3)*sq2**2d0 + 192d0*cima*coupl(nGC_122)*coupl(     &
                        nGC_184) + 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2** &
                        4d0 + 862d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**4d0  &
                         + 48d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 48d0&
                        *coupl(nGC_1)**2d0*coupl(nGC_182)*sq2**2d0 + 240d0*    &
                        coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 + 24d0*coupl(&
                        nGC_1)*coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 + 552d0*  &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 +   &
                        72d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**2d0&
                         + 24d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**  &
                        2d0 - 48d0*coupl(nGC_11)*coupl(nGC_122)**2d0 - 144d0*  &
                        coupl(nGC_120)**2d0*coupl(nGC_284) - 192d0*coupl(      &
                        nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(   &
                        nGC_120)*coupl(nGC_128)*coupl(nGC_284) - 432d0*coupl(  &
                        nGC_122)**2d0*coupl(nGC_284) + 96d0*coupl(nGC_122)*    &
                        coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(nGC_128)**2d0*&
                        coupl(nGC_284) - 48d0*coupl(nGC_284)*coupl(nGC_3)**2d0 &
                        )/(3072d0*pi**2d0)
      coupl(nGC_1418) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(    &
                        nGC_12)*sq2**2d0 - 8d0*cima*coupl(nGC_11)*coupl(nGC_120&
                        ) + 4d0*cima*coupl(nGC_11)*coupl(nGC_128) - 12d0*cima* &
                        coupl(nGC_11)*coupl(nGC_3) - 76d0*cima*coupl(nGC_120)* &
                        coupl(nGC_284) + 8d0*cima*coupl(nGC_122)*coupl(nGC_284 &
                        ) - 28d0*cima*coupl(nGC_128)*coupl(nGC_284) - 40d0*cima&
                        *coupl(nGC_284)*coupl(nGC_3) + 24d0*coupl(nGC_1)**2d0* &
                        coupl(nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1)**2d0*coupl(&
                        nGC_284)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1413) = (16d0*cima*coupl(nGC_120)*coupl(nGC_290) + 80d0*cima*  &
                        coupl(nGC_122)*coupl(nGC_290) + 8d0*cima*coupl(nGC_122 &
                        )*coupl(nGC_8) + 146d0*coupl(nGC_1)**2d0*coupl(nGC_290 &
                        )*sq2**2d0 - 11d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2** &
                        2d0)/(768d0*pi**2d0)
      coupl(nGC_2512) = -coupl(nGC_2511)
      coupl(nGC_1513) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 + &
                        116d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                        nGC_120)*sq2**2d0 - 116d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_122)*sq2**2d0 - 56d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 100d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 + 588d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl&
                        (nGC_284)*sq2**2d0 - 588d0*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_122)*coupl(nGC_284)*sq2**2d0 - 156d0*cima*coupl(  &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        708d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 + 96d0*cima*coupl(nGC_120)*coupl(nGC_184) - &
                        96d0*cima*coupl(nGC_122)*coupl(nGC_13) + 96d0*cima*    &
                        coupl(nGC_122)*coupl(nGC_182) - 96d0*cima*coupl(nGC_184&
                        )*coupl(nGC_3) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*&
                        sq2**4d0 - 862d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**&
                        4d0 - 168d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + &
                        120d0*coupl(nGC_1)**2d0*coupl(nGC_182)*sq2**2d0 - 120d0&
                        *coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 - 24d0*coupl&
                        (nGC_1)**2d0*coupl(nGC_194)*sq2**2d0 + 264d0*coupl(    &
                        nGC_1)*coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 - 264d0*  &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 -   &
                        72d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**2d0&
                         - 312d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2** &
                        2d0 - 48d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_122  &
                        ) + 48d0*coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_3) -   &
                        192d0*coupl(nGC_120)**2d0*coupl(nGC_284) - 528d0*coupl(&
                        nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(   &
                        nGC_120)*coupl(nGC_128)*coupl(nGC_284) + 192d0*coupl(  &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(     &
                        nGC_122)**2d0*coupl(nGC_284) + 48d0*coupl(nGC_122)*    &
                        coupl(nGC_128)*coupl(nGC_284) + 432d0*coupl(nGC_122)*  &
                        coupl(nGC_284)*coupl(nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_1476) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9&
                        )*sq2**2d0 + 80d0*cima*coupl(nGC_120)*coupl(nGC_290) + &
                        16d0*cima*coupl(nGC_120)*coupl(nGC_8) - 4d0*cima*coupl(&
                        nGC_122)*coupl(nGC_290) + 8d0*cima*coupl(nGC_122)*coupl&
                        (nGC_8) + 32d0*cima*coupl(nGC_128)*coupl(nGC_290) + 4d0&
                        *cima*coupl(nGC_128)*coupl(nGC_8) + 44d0*cima*coupl(   &
                        nGC_290)*coupl(nGC_3) + 20d0*cima*coupl(nGC_3)*coupl(  &
                        nGC_8) - 105d0*coupl(nGC_1)**2d0*coupl(nGC_290)*sq2**  &
                        2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(  &
                        1536d0*pi**2d0)
      coupl(nGC_1470) = (-40d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                        nGC_290)*sq2**2d0 - 54d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_8)*sq2**2d0 - 510d0*cima*coupl(nGC_1 &
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 + 265d0* &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 + 120d0*cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0 &
                         - 200d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_290)*sq2 &
                        **2d0 + 210d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)* &
                        sq2**2d0 - 160d0*coupl(nGC_1)*coupl(nGC_284)*coupl(    &
                        nGC_9)*sq2**2d0 + 40d0*coupl(nGC_11)*coupl(nGC_120)*   &
                        coupl(nGC_290) + 120d0*coupl(nGC_11)*coupl(nGC_120)*   &
                        coupl(nGC_8) - 40d0*coupl(nGC_120)*coupl(nGC_284)*coupl&
                        (nGC_8))/(3840d0*pi**2d0)
      coupl(nGC_2146) = coupl(nGC_1518) + coupl(nGC_8)*dZg_QCD2
      coupl(nGC_1479) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9&
                        )*sq2**2d0 + 72d0*cima*coupl(nGC_120)*coupl(nGC_290) + &
                        12d0*cima*coupl(nGC_120)*coupl(nGC_8) - 12d0*cima*coupl&
                        (nGC_122)*coupl(nGC_290) + 4d0*cima*coupl(nGC_122)*    &
                        coupl(nGC_8) + 24d0*cima*coupl(nGC_128)*coupl(nGC_290  &
                        ) + 36d0*cima*coupl(nGC_290)*coupl(nGC_3) + 16d0*cima* &
                        coupl(nGC_3)*coupl(nGC_8) - 105d0*coupl(nGC_1)**2d0*   &
                        coupl(nGC_290)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(&
                        nGC_8)*sq2**2d0)/(1536d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
