!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-03-21 23:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_1458) = Nc*(-20d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(  &
                        nGC_290)*sq2**2d0 - 4d0*cima*coupl(nGC_1)**2d0*coupl(  &
                        nGC_11)*coupl(nGC_8)*sq2**2d0 + 20d0*cima*coupl(nGC_1  &
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 - 20d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 - 20d0*cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0  &
                         - 25d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**  &
                        2d0 + 20d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_290)*  &
                        sq2**2d0 - 25d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8 &
                        )*sq2**2d0 + 20d0*coupl(nGC_1)*coupl(nGC_284)*coupl(   &
                        nGC_9)*sq2**2d0 + 5d0*coupl(nGC_11)*coupl(nGC_120)*    &
                        coupl(nGC_290) + 15d0*coupl(nGC_11)*coupl(nGC_120)*    &
                        coupl(nGC_8) - 15d0*coupl(nGC_11)*coupl(nGC_122)*coupl(&
                        nGC_290) + 15d0*coupl(nGC_11)*coupl(nGC_122)*coupl(    &
                        nGC_8) - 5d0*coupl(nGC_11)*coupl(nGC_128)*coupl(nGC_290&
                        ) - 15d0*coupl(nGC_11)*coupl(nGC_128)*coupl(nGC_8) +   &
                        15d0*coupl(nGC_11)*coupl(nGC_290)*coupl(nGC_3) - 15d0* &
                        coupl(nGC_11)*coupl(nGC_3)*coupl(nGC_8) + 5d0*coupl(   &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_8) - 15d0*coupl(     &
                        nGC_122)*coupl(nGC_284)*coupl(nGC_8) - 5d0*coupl(      &
                        nGC_128)*coupl(nGC_284)*coupl(nGC_8) + 15d0*coupl(     &
                        nGC_284)*coupl(nGC_3)*coupl(nGC_8))/(960d0*pi**2d0)
      coupl(nGC_2068) = coupl(nGC_1522) + 3d0*coupl(nGC_6)*dZg_QCD2/2d0
      coupl(nGC_1489) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**  &
                        4d0 - 188d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(&
                        nGC_120)*sq2**2d0 + 4d0*cima*coupl(nGC_1)**2d0*coupl(  &
                        nGC_11)*coupl(nGC_122)*sq2**2d0 - 12d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 + 108d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 - 1040d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*    &
                        coupl(nGC_284)*sq2**2d0 - 32d0*cima*coupl(nGC_1)**2d0* &
                        coupl(nGC_122)*coupl(nGC_284)*sq2**2d0 - 8d0*cima*coupl&
                        (nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 +  &
                        568d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 - 192d0*cima*coupl(nGC_120)*coupl(nGC_13) - &
                        192d0*cima*coupl(nGC_182)*coupl(nGC_3) + 63d0*coupl(   &
                        nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 + 350d0*coupl(nGC_1 &
                        )**4d0*coupl(nGC_284)*sq2**4d0 - 336d0*coupl(nGC_1)**  &
                        2d0*coupl(nGC_182)*sq2**2d0 - 312d0*coupl(nGC_1)*coupl(&
                        nGC_12)*coupl(nGC_120)*sq2**2d0 + 360d0*coupl(nGC_1)*  &
                        coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 + 96d0*coupl(nGC_11&
                        )*coupl(nGC_120)*coupl(nGC_3) + 96d0*coupl(nGC_120)*   &
                        coupl(nGC_128)*coupl(nGC_284) + 1056d0*coupl(nGC_120)* &
                        coupl(nGC_284)*coupl(nGC_3) + 96d0*coupl(nGC_122)*coupl&
                        (nGC_128)*coupl(nGC_284) + 96d0*coupl(nGC_122)*coupl(  &
                        nGC_284)*coupl(nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_1488) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**  &
                        4d0 - 148d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(&
                        nGC_120)*sq2**2d0 + 16d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_122)*sq2**2d0 + 148d0*cima*coupl(    &
                        nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 - 836d0&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl(nGC_284)* &
                        sq2**2d0 + 4d0*cima*coupl(nGC_1)**2d0*coupl(nGC_122)*  &
                        coupl(nGC_284)*sq2**2d0 + 28d0*cima*coupl(nGC_1)**2d0* &
                        coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 + 772d0*cima*   &
                        coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3)*sq2**2d0 &
                         - 192d0*cima*coupl(nGC_120)*coupl(nGC_13) - 192d0*cima&
                        *coupl(nGC_182)*coupl(nGC_3) + 63d0*coupl(nGC_1)**4d0* &
                        coupl(nGC_11)*sq2**4d0 + 350d0*coupl(nGC_1)**4d0*coupl(&
                        nGC_284)*sq2**4d0 - 336d0*coupl(nGC_1)**2d0*coupl(     &
                        nGC_182)*sq2**2d0 - 192d0*coupl(nGC_1)*coupl(nGC_12)*  &
                        coupl(nGC_120)*sq2**2d0 + 480d0*coupl(nGC_1)*coupl(    &
                        nGC_12)*coupl(nGC_3)*sq2**2d0 + 96d0*coupl(nGC_11)*    &
                        coupl(nGC_120)*coupl(nGC_3) + 96d0*coupl(nGC_120)*coupl&
                        (nGC_128)*coupl(nGC_284) + 1056d0*coupl(nGC_120)*coupl(&
                        nGC_284)*coupl(nGC_3) + 96d0*coupl(nGC_122)*coupl(     &
                        nGC_128)*coupl(nGC_284) + 96d0*coupl(nGC_122)*coupl(   &
                        nGC_284)*coupl(nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_1481) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9&
                        )*sq2**2d0 + 76d0*cima*coupl(nGC_120)*coupl(nGC_290) + &
                        8d0*cima*coupl(nGC_120)*coupl(nGC_8) - 8d0*cima*coupl( &
                        nGC_122)*coupl(nGC_290) + 28d0*cima*coupl(nGC_128)*    &
                        coupl(nGC_290) - 4d0*cima*coupl(nGC_128)*coupl(nGC_8   &
                        ) + 40d0*cima*coupl(nGC_290)*coupl(nGC_3) + 12d0*cima* &
                        coupl(nGC_3)*coupl(nGC_8) - 105d0*coupl(nGC_1)**2d0*   &
                        coupl(nGC_290)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(&
                        nGC_8)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1480) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(    &
                        nGC_9)*sq2**2d0 + 40d0*cima*coupl(nGC_120)*coupl(      &
                        nGC_290) + 12d0*cima*coupl(nGC_120)*coupl(nGC_8) + 28d0&
                        *cima*coupl(nGC_122)*coupl(nGC_290) - 4d0*cima*coupl(  &
                        nGC_122)*coupl(nGC_8) - 8d0*cima*coupl(nGC_128)*coupl( &
                        nGC_290) + 76d0*cima*coupl(nGC_290)*coupl(nGC_3) + 8d0*&
                        cima*coupl(nGC_3)*coupl(nGC_8) + 105d0*coupl(nGC_1)**  &
                        2d0*coupl(nGC_290)*sq2**2d0 + 24d0*coupl(nGC_1)**2d0*  &
                        coupl(nGC_8)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_2125) = -2d0*coupl(nGC_2118)
      coupl(nGC_1482) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(    &
                        nGC_9)*sq2**2d0 - 80d0*cima*coupl(nGC_120)*coupl(      &
                        nGC_290) - 16d0*cima*coupl(nGC_120)*coupl(nGC_8) + 4d0*&
                        cima*coupl(nGC_122)*coupl(nGC_290) - 8d0*cima*coupl(   &
                        nGC_122)*coupl(nGC_8) - 32d0*cima*coupl(nGC_128)*coupl(&
                        nGC_290) - 4d0*cima*coupl(nGC_128)*coupl(nGC_8) - 44d0*&
                        cima*coupl(nGC_290)*coupl(nGC_3) - 20d0*cima*coupl(    &
                        nGC_3)*coupl(nGC_8) + 105d0*coupl(nGC_1)**2d0*coupl(   &
                        nGC_290)*sq2**2d0 + 24d0*coupl(nGC_1)**2d0*coupl(nGC_8 &
                        )*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1485) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 + &
                        52d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_120&
                        )*sq2**2d0 - 52d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*&
                        coupl(nGC_122)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*  &
                        coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 164d0*cima*    &
                        coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0  &
                         + 492d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl(  &
                        nGC_284)*sq2**2d0 - 492d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_122)*coupl(nGC_284)*sq2**2d0 - 60d0*cima*coupl(    &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        804d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 + 96d0*cima*coupl(nGC_120)*coupl(nGC_184) - &
                        96d0*cima*coupl(nGC_122)*coupl(nGC_13) + 96d0*cima*    &
                        coupl(nGC_122)*coupl(nGC_182) - 96d0*cima*coupl(nGC_184&
                        )*coupl(nGC_3) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*&
                        sq2**4d0 - 862d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**&
                        4d0 - 144d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + &
                        144d0*coupl(nGC_1)**2d0*coupl(nGC_182)*sq2**2d0 - 144d0&
                        *coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 - 48d0*coupl&
                        (nGC_1)**2d0*coupl(nGC_194)*sq2**2d0 + 192d0*coupl(    &
                        nGC_1)*coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 - 192d0*  &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 -   &
                        384d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 &
                         - 48d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_122) +  &
                        48d0*coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_3) - 192d0*&
                        coupl(nGC_120)**2d0*coupl(nGC_284) - 528d0*coupl(      &
                        nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(   &
                        nGC_120)*coupl(nGC_128)*coupl(nGC_284) + 192d0*coupl(  &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(     &
                        nGC_122)**2d0*coupl(nGC_284) + 48d0*coupl(nGC_122)*    &
                        coupl(nGC_128)*coupl(nGC_284) + 432d0*coupl(nGC_122)*  &
                        coupl(nGC_284)*coupl(nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_1484) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(    &
                        nGC_9)*sq2**2d0 + 36d0*cima*coupl(nGC_120)*coupl(      &
                        nGC_290) + 16d0*cima*coupl(nGC_120)*coupl(nGC_8) + 24d0&
                        *cima*coupl(nGC_122)*coupl(nGC_290) - 12d0*cima*coupl( &
                        nGC_128)*coupl(nGC_290) + 4d0*cima*coupl(nGC_128)*coupl&
                        (nGC_8) + 72d0*cima*coupl(nGC_290)*coupl(nGC_3) + 12d0*&
                        cima*coupl(nGC_3)*coupl(nGC_8) + 105d0*coupl(nGC_1)**  &
                        2d0*coupl(nGC_290)*sq2**2d0 + 24d0*coupl(nGC_1)**2d0*  &
                        coupl(nGC_8)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1487) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 + &
                        108d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                        nGC_120)*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_122)*sq2**2d0 - 48d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 108d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 + 540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl&
                        (nGC_284)*sq2**2d0 - 540d0*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_122)*coupl(nGC_284)*sq2**2d0 - 108d0*cima*coupl(  &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        756d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 + 96d0*cima*coupl(nGC_120)*coupl(nGC_184) - &
                        96d0*cima*coupl(nGC_122)*coupl(nGC_13) + 96d0*cima*    &
                        coupl(nGC_122)*coupl(nGC_182) - 96d0*cima*coupl(nGC_184&
                        )*coupl(nGC_3) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*&
                        sq2**4d0 - 862d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**&
                        4d0 - 192d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + &
                        96d0*coupl(nGC_1)**2d0*coupl(nGC_182)*sq2**2d0 - 96d0* &
                        coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 + 264d0*coupl&
                        (nGC_1)*coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 - 264d0* &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 -   &
                        72d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**2d0&
                         - 312d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2** &
                        2d0 - 48d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_122  &
                        ) + 48d0*coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_3) -   &
                        192d0*coupl(nGC_120)**2d0*coupl(nGC_284) - 528d0*coupl(&
                        nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(   &
                        nGC_120)*coupl(nGC_128)*coupl(nGC_284) + 192d0*coupl(  &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(     &
                        nGC_122)**2d0*coupl(nGC_284) + 48d0*coupl(nGC_122)*    &
                        coupl(nGC_128)*coupl(nGC_284) + 432d0*coupl(nGC_122)*  &
                        coupl(nGC_284)*coupl(nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_1486) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 + &
                        92d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_120&
                        )*sq2**2d0 - 92d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*&
                        coupl(nGC_122)*sq2**2d0 - 32d0*cima*coupl(nGC_1)**2d0* &
                        coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 124d0*cima*    &
                        coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0  &
                         + 588d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl(  &
                        nGC_284)*sq2**2d0 - 588d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_122)*coupl(nGC_284)*sq2**2d0 - 156d0*cima*coupl(   &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        708d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 + 96d0*cima*coupl(nGC_120)*coupl(nGC_184) - &
                        96d0*cima*coupl(nGC_122)*coupl(nGC_13) + 96d0*cima*    &
                        coupl(nGC_122)*coupl(nGC_182) - 96d0*cima*coupl(nGC_184&
                        )*coupl(nGC_3) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*&
                        sq2**4d0 - 862d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**&
                        4d0 - 168d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + &
                        120d0*coupl(nGC_1)**2d0*coupl(nGC_182)*sq2**2d0 - 120d0&
                        *coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 - 24d0*coupl&
                        (nGC_1)**2d0*coupl(nGC_194)*sq2**2d0 + 264d0*coupl(    &
                        nGC_1)*coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 - 264d0*  &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 -   &
                        72d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**2d0&
                         - 312d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2** &
                        2d0 - 48d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_122  &
                        ) + 48d0*coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_3) -   &
                        192d0*coupl(nGC_120)**2d0*coupl(nGC_284) - 528d0*coupl(&
                        nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(   &
                        nGC_120)*coupl(nGC_128)*coupl(nGC_284) + 192d0*coupl(  &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(     &
                        nGC_122)**2d0*coupl(nGC_284) + 48d0*coupl(nGC_122)*    &
                        coupl(nGC_128)*coupl(nGC_284) + 432d0*coupl(nGC_122)*  &
                        coupl(nGC_284)*coupl(nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_2088) = 2d0*coupl(nGC_2087)
      coupl(nGC_2089) = -coupl(nGC_2087)
      coupl(nGC_1469) = (-12d0*cima*coupl(nGC_1)*coupl(nGC_6)*sq2**2d0 + 8d0*  &
                        cima*coupl(nGC_120)*coupl(nGC_344) + 40d0*cima*coupl(  &
                        nGC_122)*coupl(nGC_344) + 4d0*cima*coupl(nGC_122)*coupl&
                        (nGC_5) + 66d0*coupl(nGC_1)**2d0*coupl(nGC_344)*sq2**  &
                        2d0 + 5d0*coupl(nGC_1)**2d0*coupl(nGC_5)*sq2**2d0)/(   &
                        768d0*pi**2d0)
      coupl(nGC_1468) = (350d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                        nGC_290)*sq2**2d0 + 267d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_8)*sq2**2d0 + 1608d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 + 304d0* &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 + 8d0*cima*coupl(nGC_11)*coupl(nGC_142) - 72d0*  &
                        cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0 + 80d0*cima*  &
                        coupl(nGC_142)*coupl(nGC_284) + 16d0*cima*coupl(nGC_144&
                        )*coupl(nGC_284) + 32d0*cima*coupl(nGC_182)*coupl(     &
                        nGC_290) + 160d0*cima*coupl(nGC_184)*coupl(nGC_290) +  &
                        16d0*cima*coupl(nGC_184)*coupl(nGC_8) + 88d0*coupl(    &
                        nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 + 572d0*    &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_290)*sq2**2d0 +   &
                        74d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0  &
                         + 352d0*coupl(nGC_1)*coupl(nGC_284)*coupl(nGC_9)*sq2**&
                        2d0 - 24d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_290  &
                        ) - 24d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_8) -   &
                        120d0*coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_290) -    &
                        120d0*coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_8) - 240d0&
                        *coupl(nGC_120)*coupl(nGC_284)*coupl(nGC_290) - 24d0*  &
                        coupl(nGC_120)*coupl(nGC_284)*coupl(nGC_8) - 768d0*    &
                        coupl(nGC_122)*coupl(nGC_284)*coupl(nGC_290) - 120d0*  &
                        coupl(nGC_122)*coupl(nGC_284)*coupl(nGC_8))/(1536d0*pi &
                        **2d0)
      coupl(nGC_1472) = (67d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                        nGC_290)*sq2**2d0 + 21d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_8)*sq2**2d0 + 366d0*cima*coupl(nGC_1 &
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 + 67d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 + 4d0*cima*coupl(nGC_11)*coupl(nGC_142) - 24d0*  &
                        cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0 + 40d0*cima*  &
                        coupl(nGC_142)*coupl(nGC_284) + 8d0*cima*coupl(nGC_144 &
                        )*coupl(nGC_284) + 8d0*cima*coupl(nGC_182)*coupl(      &
                        nGC_290) + 40d0*cima*coupl(nGC_184)*coupl(nGC_290) +   &
                        4d0*cima*coupl(nGC_184)*coupl(nGC_8) + 18d0*coupl(nGC_1&
                        )*coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 + 132d0*coupl(   &
                        nGC_1)*coupl(nGC_12)*coupl(nGC_290)*sq2**2d0 + 18d0*   &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 +     &
                        132d0*coupl(nGC_1)*coupl(nGC_284)*coupl(nGC_9)*sq2**2d0&
                         - 4d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_290) -   &
                        4d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_8) - 28d0*  &
                        coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_290) - 4d0*coupl&
                        (nGC_11)*coupl(nGC_122)*coupl(nGC_8) - 56d0*coupl(     &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_290) - 4d0*coupl(    &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_8) - 184d0*coupl(    &
                        nGC_122)*coupl(nGC_284)*coupl(nGC_290) - 28d0*coupl(   &
                        nGC_122)*coupl(nGC_284)*coupl(nGC_8))/(384d0*pi**2d0)
      coupl(nGC_1422) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(     &
                        nGC_12)*sq2**2d0 - 20d0*cima*coupl(nGC_11)*coupl(      &
                        nGC_120) - 4d0*cima*coupl(nGC_11)*coupl(nGC_122) - 8d0*&
                        cima*coupl(nGC_11)*coupl(nGC_128) - 16d0*cima*coupl(   &
                        nGC_11)*coupl(nGC_3) - 44d0*cima*coupl(nGC_120)*coupl( &
                        nGC_284) - 32d0*cima*coupl(nGC_122)*coupl(nGC_284) +   &
                        4d0*cima*coupl(nGC_128)*coupl(nGC_284) - 80d0*cima*    &
                        coupl(nGC_284)*coupl(nGC_3) - 24d0*coupl(nGC_1)**2d0*  &
                        coupl(nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1)**2d0*coupl(&
                        nGC_284)*sq2**2d0)/(1536d0*pi**2d0)
      coupl(nGC_1448) = (-67d0*Nc**2d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*   &
                        coupl(nGC_290)*sq2**2d0 - 21d0*Nc**2d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_8)*sq2**2d0 - 366d0*Nc**&
                        2d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_290&
                        )*sq2**2d0 - 67d0*Nc**2d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_284)*coupl(nGC_8)*sq2**2d0 - 4d0*Nc**2d0*cima*coupl&
                        (nGC_10)*coupl(nGC_11) - 44d0*Nc**2d0*cima*coupl(nGC_10&
                        )*coupl(nGC_284) + 4d0*Nc**2d0*cima*coupl(nGC_11)*coupl&
                        (nGC_144) + 24d0*Nc**2d0*cima*coupl(nGC_12)*coupl(nGC_9&
                        )*sq2**2d0 - 44d0*Nc**2d0*cima*coupl(nGC_13)*coupl(    &
                        nGC_290) - 4d0*Nc**2d0*cima*coupl(nGC_13)*coupl(nGC_8  &
                        ) + 4d0*Nc**2d0*cima*coupl(nGC_142)*coupl(nGC_284) +   &
                        44d0*Nc**2d0*cima*coupl(nGC_144)*coupl(nGC_284) - 4d0* &
                        Nc**2d0*cima*coupl(nGC_148)*coupl(nGC_284) + 44d0*Nc** &
                        2d0*cima*coupl(nGC_182)*coupl(nGC_290) + 4d0*Nc**2d0*  &
                        cima*coupl(nGC_182)*coupl(nGC_8) + 4d0*Nc**2d0*cima*   &
                        coupl(nGC_184)*coupl(nGC_290) - 4d0*Nc**2d0*cima*coupl(&
                        nGC_194)*coupl(nGC_290) - 18d0*Nc**2d0*coupl(nGC_1)*   &
                        coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 - 132d0*Nc**2d0*   &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_290)*sq2**2d0 -   &
                        18d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*  &
                        sq2**2d0 - 132d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_284)*  &
                        coupl(nGC_9)*sq2**2d0 - 30d0*Nc**2d0*coupl(nGC_11)*    &
                        coupl(nGC_120)*coupl(nGC_290) - 6d0*Nc**2d0*coupl(     &
                        nGC_11)*coupl(nGC_120)*coupl(nGC_8) - 2d0*Nc**2d0*coupl&
                        (nGC_11)*coupl(nGC_122)*coupl(nGC_290) - 2d0*Nc**2d0*  &
                        coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_8) + 2d0*Nc**2d0&
                        *coupl(nGC_11)*coupl(nGC_128)*coupl(nGC_290) + 2d0*Nc**&
                        2d0*coupl(nGC_11)*coupl(nGC_128)*coupl(nGC_8) + 30d0*Nc&
                        **2d0*coupl(nGC_11)*coupl(nGC_290)*coupl(nGC_3) + 6d0* &
                        Nc**2d0*coupl(nGC_11)*coupl(nGC_3)*coupl(nGC_8) - 212d0&
                        *Nc**2d0*coupl(nGC_120)*coupl(nGC_284)*coupl(nGC_290   &
                        ) - 30d0*Nc**2d0*coupl(nGC_120)*coupl(nGC_284)*coupl(  &
                        nGC_8) - 28d0*Nc**2d0*coupl(nGC_122)*coupl(nGC_284)*   &
                        coupl(nGC_290) - 2d0*Nc**2d0*coupl(nGC_122)*coupl(     &
                        nGC_284)*coupl(nGC_8) + 28d0*Nc**2d0*coupl(nGC_128)*   &
                        coupl(nGC_284)*coupl(nGC_290) + 2d0*Nc**2d0*coupl(     &
                        nGC_128)*coupl(nGC_284)*coupl(nGC_8) + 212d0*Nc**2d0*  &
                        coupl(nGC_284)*coupl(nGC_290)*coupl(nGC_3) + 30d0*Nc** &
                        2d0*coupl(nGC_284)*coupl(nGC_3)*coupl(nGC_8) + 44d0*   &
                        cima*coupl(nGC_13)*coupl(nGC_290) + 4d0*cima*coupl(    &
                        nGC_13)*coupl(nGC_8) - 52d0*cima*coupl(nGC_182)*coupl( &
                        nGC_290) - 4d0*cima*coupl(nGC_182)*coupl(nGC_8) - 44d0*&
                        cima*coupl(nGC_184)*coupl(nGC_290) - 4d0*cima*coupl(   &
                        nGC_184)*coupl(nGC_8) + 4d0*cima*coupl(nGC_194)*coupl( &
                        nGC_290))/(384d0*pi**2d0*Nc)
      coupl(nGC_1406) = Nc*(12d0*cima*coupl(nGC_1)*coupl(nGC_9)*sq2**2d0 + 44d0&
                        *cima*coupl(nGC_120)*coupl(nGC_290) + 4d0*cima*coupl(  &
                        nGC_120)*coupl(nGC_8) + 4d0*cima*coupl(nGC_122)*coupl( &
                        nGC_290) - 4d0*cima*coupl(nGC_128)*coupl(nGC_290) -    &
                        44d0*cima*coupl(nGC_290)*coupl(nGC_3) - 4d0*cima*coupl(&
                        nGC_3)*coupl(nGC_8) - 66d0*coupl(nGC_1)**2d0*coupl(    &
                        nGC_290)*sq2**2d0 - 5d0*coupl(nGC_1)**2d0*coupl(nGC_8)*&
                        sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_1409) = (-12d0*cima*coupl(nGC_1)*coupl(nGC_9)*sq2**2d0 + 8d0*  &
                        cima*coupl(nGC_120)*coupl(nGC_290) + 40d0*cima*coupl(  &
                        nGC_122)*coupl(nGC_290) + 4d0*cima*coupl(nGC_122)*coupl&
                        (nGC_8) + 66d0*coupl(nGC_1)**2d0*coupl(nGC_290)*sq2**  &
                        2d0 + 5d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(   &
                        768d0*pi**2d0)
      coupl(nGC_1408) = Nc*(88d0*cima*coupl(nGC_120)*coupl(nGC_290) + 8d0*cima*&
                        coupl(nGC_120)*coupl(nGC_8) + 8d0*cima*coupl(nGC_122)* &
                        coupl(nGC_290) - 8d0*cima*coupl(nGC_128)*coupl(nGC_290 &
                        ) - 88d0*cima*coupl(nGC_290)*coupl(nGC_3) - 8d0*cima*  &
                        coupl(nGC_3)*coupl(nGC_8) - 146d0*coupl(nGC_1)**2d0*   &
                        coupl(nGC_290)*sq2**2d0 + 11d0*coupl(nGC_1)**2d0*coupl(&
                        nGC_8)*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_1449) = Nc*(-125d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl( &
                        nGC_290)*sq2**2d0 - 132d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_8)*sq2**2d0 - 1962d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 - 79d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 - 8d0*cima*coupl(nGC_10)*coupl(nGC_11) - 88d0*   &
                        cima*coupl(nGC_10)*coupl(nGC_284) + 8d0*cima*coupl(    &
                        nGC_11)*coupl(nGC_144) - 176d0*cima*coupl(nGC_13)*coupl&
                        (nGC_290) - 16d0*cima*coupl(nGC_13)*coupl(nGC_8) + 8d0*&
                        cima*coupl(nGC_142)*coupl(nGC_284) + 88d0*cima*coupl(  &
                        nGC_144)*coupl(nGC_284) - 8d0*cima*coupl(nGC_148)*coupl&
                        (nGC_284) + 176d0*cima*coupl(nGC_182)*coupl(nGC_290) + &
                        16d0*cima*coupl(nGC_182)*coupl(nGC_8) + 16d0*cima*coupl&
                        (nGC_184)*coupl(nGC_290) - 16d0*cima*coupl(nGC_194)*   &
                        coupl(nGC_290) + 38d0*coupl(nGC_1)*coupl(nGC_11)*coupl(&
                        nGC_9)*sq2**2d0 - 656d0*coupl(nGC_1)*coupl(nGC_12)*    &
                        coupl(nGC_290)*sq2**2d0 + 52d0*coupl(nGC_1)*coupl(     &
                        nGC_12)*coupl(nGC_8)*sq2**2d0 - 436d0*coupl(nGC_1)*    &
                        coupl(nGC_284)*coupl(nGC_9)*sq2**2d0 - 132d0*coupl(    &
                        nGC_11)*coupl(nGC_120)*coupl(nGC_290) - 132d0*coupl(   &
                        nGC_11)*coupl(nGC_120)*coupl(nGC_8) - 12d0*coupl(nGC_11&
                        )*coupl(nGC_122)*coupl(nGC_290) - 12d0*coupl(nGC_11)*  &
                        coupl(nGC_122)*coupl(nGC_8) + 12d0*coupl(nGC_11)*coupl(&
                        nGC_128)*coupl(nGC_290) + 12d0*coupl(nGC_11)*coupl(    &
                        nGC_128)*coupl(nGC_8) + 132d0*coupl(nGC_11)*coupl(     &
                        nGC_290)*coupl(nGC_3) + 132d0*coupl(nGC_11)*coupl(nGC_3&
                        )*coupl(nGC_8) - 888d0*coupl(nGC_120)*coupl(nGC_284)*  &
                        coupl(nGC_290) - 132d0*coupl(nGC_120)*coupl(nGC_284)*  &
                        coupl(nGC_8) - 120d0*coupl(nGC_122)*coupl(nGC_284)*    &
                        coupl(nGC_290) - 12d0*coupl(nGC_122)*coupl(nGC_284)*   &
                        coupl(nGC_8) + 120d0*coupl(nGC_128)*coupl(nGC_284)*    &
                        coupl(nGC_290) + 12d0*coupl(nGC_128)*coupl(nGC_284)*   &
                        coupl(nGC_8) + 888d0*coupl(nGC_284)*coupl(nGC_290)*    &
                        coupl(nGC_3) + 132d0*coupl(nGC_284)*coupl(nGC_3)*coupl(&
                        nGC_8))/(768d0*pi**2d0)
      coupl(nGC_2120) = -coupl(nGC_2118)
      coupl(nGC_1467) = (20d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                        nGC_290)*sq2**2d0 + 4d0*cima*coupl(nGC_1)**2d0*coupl(  &
                        nGC_11)*coupl(nGC_8)*sq2**2d0 - 20d0*cima*coupl(nGC_1  &
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 + 20d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 + 20d0*cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0  &
                         + 25d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**  &
                        2d0 - 20d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_290)*  &
                        sq2**2d0 + 25d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8 &
                        )*sq2**2d0 - 20d0*coupl(nGC_1)*coupl(nGC_284)*coupl(   &
                        nGC_9)*sq2**2d0 - 10d0*coupl(nGC_11)*coupl(nGC_120)*   &
                        coupl(nGC_290) + 30d0*coupl(nGC_11)*coupl(nGC_120)*    &
                        coupl(nGC_8) - 10d0*coupl(nGC_120)*coupl(nGC_284)*coupl&
                        (nGC_8))/(960d0*pi**2d0)
      coupl(nGC_1465) = (-5d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                        nGC_290)*sq2**2d0 - 48d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_8)*sq2**2d0 + 90d0*cima*coupl(nGC_1  &
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 + 35d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 + 30d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*  &
                        sq2**2d0 + 40d0*coupl(nGC_1)*coupl(nGC_12)*coupl(      &
                        nGC_290)*sq2**2d0 + 60d0*coupl(nGC_1)*coupl(nGC_12)*   &
                        coupl(nGC_8)*sq2**2d0 + 20d0*coupl(nGC_1)*coupl(nGC_284&
                        )*coupl(nGC_9)*sq2**2d0 + 40d0*coupl(nGC_11)*coupl(    &
                        nGC_120)*coupl(nGC_290) + 120d0*coupl(nGC_11)*coupl(   &
                        nGC_120)*coupl(nGC_8) - 40d0*coupl(nGC_120)*coupl(     &
                        nGC_284)*coupl(nGC_8))/(3840d0*pi**2d0)
      coupl(nGC_1428) = (20d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 12d0*Nc*cima&
                        *coupl(nGC_120)*coupl(nGC_122) - 12d0*Nc*cima*coupl(   &
                        nGC_122)*coupl(nGC_3) + 15d0*Nc*coupl(nGC_1)**2d0*coupl&
                        (nGC_120)*sq2**2d0 - 15d0*Nc*coupl(nGC_1)**2d0*coupl(  &
                        nGC_122)*sq2**2d0 - 3d0*Nc*coupl(nGC_1)**2d0*coupl(    &
                        nGC_128)*sq2**2d0 - 21d0*Nc*coupl(nGC_1)**2d0*coupl(   &
                        nGC_3)*sq2**2d0 - 10d0*cima*coupl(nGC_2)**4d0*sq2**4d0 &
                        )/(768d0*pi**2d0*Nc)
      coupl(nGC_1427) = (-8d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 12d0*Nc*cima&
                        *coupl(nGC_120)**2d0 + 12d0*Nc*cima*coupl(nGC_3)**2d0  &
                         - 21d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_120)*sq2**2d0 + &
                        21d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**2d0 + 30d0*&
                        cima*coupl(nGC_2)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_1509) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 + &
                        84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_120&
                        )*sq2**2d0 - 84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*&
                        coupl(nGC_122)*sq2**2d0 - 24d0*cima*coupl(nGC_1)**2d0* &
                        coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 132d0*cima*    &
                        coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0  &
                         + 540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl(  &
                        nGC_284)*sq2**2d0 - 540d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_122)*coupl(nGC_284)*sq2**2d0 - 108d0*cima*coupl(   &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        756d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 + 96d0*cima*coupl(nGC_120)*coupl(nGC_184) - &
                        96d0*cima*coupl(nGC_122)*coupl(nGC_13) + 96d0*cima*    &
                        coupl(nGC_122)*coupl(nGC_182) - 96d0*cima*coupl(nGC_184&
                        )*coupl(nGC_3) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*&
                        sq2**4d0 - 862d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**&
                        4d0 - 168d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + &
                        120d0*coupl(nGC_1)**2d0*coupl(nGC_182)*sq2**2d0 - 120d0&
                        *coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 - 24d0*coupl&
                        (nGC_1)**2d0*coupl(nGC_194)*sq2**2d0 + 240d0*coupl(    &
                        nGC_1)*coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 - 240d0*  &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 -   &
                        48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**2d0&
                         - 336d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2** &
                        2d0 - 48d0*coupl(nGC_11)*coupl(nGC_120)*coupl(nGC_122  &
                        ) + 48d0*coupl(nGC_11)*coupl(nGC_122)*coupl(nGC_3) -   &
                        192d0*coupl(nGC_120)**2d0*coupl(nGC_284) - 528d0*coupl(&
                        nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(   &
                        nGC_120)*coupl(nGC_128)*coupl(nGC_284) + 192d0*coupl(  &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_3) - 48d0*coupl(     &
                        nGC_122)**2d0*coupl(nGC_284) + 48d0*coupl(nGC_122)*    &
                        coupl(nGC_128)*coupl(nGC_284) + 432d0*coupl(nGC_122)*  &
                        coupl(nGC_284)*coupl(nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_1511) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0  &
                         + 48d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(    &
                        nGC_120)*sq2**2d0 + 200d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_122)*sq2**2d0 + 16d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 + 16d0*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 + 288d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl&
                        (nGC_284)*sq2**2d0 + 1248d0*cima*coupl(nGC_1)**2d0*    &
                        coupl(nGC_122)*coupl(nGC_284)*sq2**2d0 + 48d0*cima*    &
                        coupl(nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**  &
                        2d0 + 48d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(&
                        nGC_3)*sq2**2d0 + 192d0*cima*coupl(nGC_122)*coupl(     &
                        nGC_184) + 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2** &
                        4d0 + 862d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**4d0  &
                         + 288d0*coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 +   &
                        48d0*coupl(nGC_1)**2d0*coupl(nGC_194)*sq2**2d0 + 72d0* &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_120)*sq2**2d0 +   &
                        504d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**  &
                        2d0 + 24d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*  &
                        sq2**2d0 + 72d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3 &
                        )*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(nGC_122)**2d0 -  &
                        96d0*coupl(nGC_120)**2d0*coupl(nGC_284) - 288d0*coupl( &
                        nGC_120)*coupl(nGC_122)*coupl(nGC_284) + 96d0*coupl(   &
                        nGC_120)*coupl(nGC_284)*coupl(nGC_3) - 384d0*coupl(    &
                        nGC_122)**2d0*coupl(nGC_284) + 96d0*coupl(nGC_122)*    &
                        coupl(nGC_128)*coupl(nGC_284) - 96d0*coupl(nGC_128)*   &
                        coupl(nGC_284)*coupl(nGC_3))/(3072d0*pi**2d0)
      coupl(nGC_1497) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**  &
                        4d0 - 148d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(&
                        nGC_120)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*coupl(  &
                        nGC_11)*coupl(nGC_122)*sq2**2d0 - 8d0*cima*coupl(nGC_1 &
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 + 148d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 - 804d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl&
                        (nGC_284)*sq2**2d0 - 12d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_122)*coupl(nGC_284)*sq2**2d0 + 12d0*cima*coupl(    &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 +   &
                        804d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 + 192d0*cima*coupl(nGC_120)*coupl(nGC_182   &
                        ) + 192d0*cima*coupl(nGC_13)*coupl(nGC_3) + 63d0*coupl(&
                        nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 + 350d0*coupl(nGC_1 &
                        )**4d0*coupl(nGC_284)*sq2**4d0 + 336d0*coupl(nGC_1)**  &
                        2d0*coupl(nGC_13)*sq2**2d0 - 504d0*coupl(nGC_1)*coupl( &
                        nGC_12)*coupl(nGC_120)*sq2**2d0 + 168d0*coupl(nGC_1)*  &
                        coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl(nGC_11&
                        )*coupl(nGC_120)**2d0 - 48d0*coupl(nGC_11)*coupl(nGC_3 &
                        )**2d0 - 528d0*coupl(nGC_120)**2d0*coupl(nGC_284) -    &
                        96d0*coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_284) -    &
                        48d0*coupl(nGC_122)**2d0*coupl(nGC_284) - 48d0*coupl(  &
                        nGC_128)**2d0*coupl(nGC_284) - 96d0*coupl(nGC_128)*    &
                        coupl(nGC_284)*coupl(nGC_3) - 528d0*coupl(nGC_284)*    &
                        coupl(nGC_3)**2d0)/(6144d0*pi**2d0)
      coupl(nGC_1494) = Nc*(-128d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**  &
                        4d0 + 32d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl( &
                        nGC_120)*sq2**2d0 - 64d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_122)*sq2**2d0 + 64d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 32d0*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 + 96d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl(&
                        nGC_284)*sq2**2d0 - 192d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_122)*coupl(nGC_284)*sq2**2d0 + 192d0*cima*coupl(   &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        96d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3 &
                        )*sq2**2d0 - 3d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2** &
                        4d0 + 162d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**4d0  &
                         + 96d0*coupl(nGC_1)**2d0*coupl(nGC_194)*sq2**2d0 -    &
                        144d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**  &
                        2d0 + 48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*  &
                        sq2**2d0 - 192d0*coupl(nGC_120)*coupl(nGC_122)*coupl(  &
                        nGC_284) - 192d0*coupl(nGC_128)*coupl(nGC_284)*coupl(  &
                        nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_2686) = -coupl(nGC_2685)
      coupl(nGC_1493) = Nc*(-128d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**  &
                        4d0 + 40d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl( &
                        nGC_120)*sq2**2d0 - 64d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_122)*sq2**2d0 + 64d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 24d0*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 + 112d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl&
                        (nGC_284)*sq2**2d0 - 224d0*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_122)*coupl(nGC_284)*sq2**2d0 + 160d0*cima*coupl(  &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        80d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3 &
                        )*sq2**2d0 - 3d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2** &
                        4d0 + 162d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**4d0  &
                         - 96d0*coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 -    &
                        72d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0&
                         + 120d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2 &
                        **2d0 + 192d0*coupl(nGC_120)*coupl(nGC_128)*coupl(     &
                        nGC_284) + 192d0*coupl(nGC_122)*coupl(nGC_284)*coupl(  &
                        nGC_3))/(6144d0*pi**2d0)
      coupl(nGC_1498) = Nc*(-128d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**  &
                        4d0 + 24d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl( &
                        nGC_120)*sq2**2d0 - 64d0*cima*coupl(nGC_1)**2d0*coupl( &
                        nGC_11)*coupl(nGC_122)*sq2**2d0 + 64d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_11)*coupl(nGC_128)*sq2**2d0 - 40d0*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**&
                        2d0 + 80d0*cima*coupl(nGC_1)**2d0*coupl(nGC_120)*coupl(&
                        nGC_284)*sq2**2d0 - 160d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_122)*coupl(nGC_284)*sq2**2d0 + 224d0*cima*coupl(   &
                        nGC_1)**2d0*coupl(nGC_128)*coupl(nGC_284)*sq2**2d0 -   &
                        112d0*cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_3&
                        )*sq2**2d0 - 3d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2** &
                        4d0 + 162d0*coupl(nGC_1)**4d0*coupl(nGC_284)*sq2**4d0  &
                         - 48d0*coupl(nGC_1)**2d0*coupl(nGC_184)*sq2**2d0 +    &
                        48d0*coupl(nGC_1)**2d0*coupl(nGC_194)*sq2**2d0 - 72d0* &
                        coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_122)*sq2**2d0 +   &
                        120d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_128)*sq2**  &
                        2d0 - 96d0*coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_284 &
                        ) + 96d0*coupl(nGC_120)*coupl(nGC_128)*coupl(nGC_284   &
                        ) + 96d0*coupl(nGC_122)*coupl(nGC_284)*coupl(nGC_3) -  &
                        96d0*coupl(nGC_128)*coupl(nGC_284)*coupl(nGC_3))/(     &
                        6144d0*pi**2d0)
      coupl(nGC_1463) = (125d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                        nGC_290)*sq2**2d0 + 132d0*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_11)*coupl(nGC_8)*sq2**2d0 + 1962d0*cima*coupl(nGC_1&
                        )**2d0*coupl(nGC_284)*coupl(nGC_290)*sq2**2d0 + 79d0*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_284)*coupl(nGC_8)*sq2 &
                        **2d0 + 8d0*cima*coupl(nGC_11)*coupl(nGC_142) + 80d0*  &
                        cima*coupl(nGC_142)*coupl(nGC_284) + 16d0*cima*coupl(  &
                        nGC_144)*coupl(nGC_284) + 32d0*cima*coupl(nGC_182)*    &
                        coupl(nGC_290) + 160d0*cima*coupl(nGC_184)*coupl(      &
                        nGC_290) + 16d0*cima*coupl(nGC_184)*coupl(nGC_8) - 38d0&
                        *coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 +    &
                        656d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_290)*sq2**  &
                        2d0 - 52d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2 &
                        **2d0 + 436d0*coupl(nGC_1)*coupl(nGC_284)*coupl(nGC_9)*&
                        sq2**2d0 - 24d0*coupl(nGC_11)*coupl(nGC_120)*coupl(    &
                        nGC_290) - 24d0*coupl(nGC_11)*coupl(nGC_120)*coupl(    &
                        nGC_8) - 120d0*coupl(nGC_11)*coupl(nGC_122)*coupl(     &
                        nGC_290) - 120d0*coupl(nGC_11)*coupl(nGC_122)*coupl(   &
                        nGC_8) - 240d0*coupl(nGC_120)*coupl(nGC_284)*coupl(    &
                        nGC_290) - 24d0*coupl(nGC_120)*coupl(nGC_284)*coupl(   &
                        nGC_8) - 768d0*coupl(nGC_122)*coupl(nGC_284)*coupl(    &
                        nGC_290) - 120d0*coupl(nGC_122)*coupl(nGC_284)*coupl(  &
                        nGC_8))/(768d0*pi**2d0)
      coupl(nGC_2154) = coupl(nGC_2109) + coupl(nGC_2152)
      coupl(nGC_2155) = coupl(nGC_2109) + coupl(nGC_2153)
      coupl(nGC_2147) = -coupl(nGC_2146)
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
